
% d02nh: Implicit/algebraic ordinary differential equations, stiff initial value problem, banded Jacobian (comprehensive)
% 
% Syntax: 
% 
%   [t, tout, y, ydot, rwork, inform, ysav, wkjac, jacpvt, lderiv, ifail] = d02nh(t, tout, y, ydot, rwork, rtol, atol, itol, inform, resid, ysav, jac, wkjac, jacpvt, monitr, lderiv, itask, itrace, 'neq', neq, 'sdysav', sdysav)
% 
% Further documentation is available in the <a href="matlab:nag_doc d02/d02nhf.html">NAG Toolbox help files</a>.
%
