function c05bb_example

% diary c05bb_example.r
fprintf('c05bb example results\n\n');

branch = nag_int(0);
offset = false;
z = [0.5-i; 1+2.3*i; 4.5-0.1*i; 6+6*i];
fprintf('\nBranch = %d\n', branch);
if offset
  fprintf('Offset = true\n');
else
  fprintf('Offset = false\n');
end
fprintf('\n%12s%16s%18s%9s\n','z','w','resid','ifail');
for j =1:4
  [w, resid, ifail] = c05bb(branch, offset, z(j));
  fprintf('%10.1f %4.1fi', real(z(j)), imag(z(j)))
  fprintf('%10.5f %8.5fi %12.5e %3d\n', real(w), imag(w), resid, ifail);
end

% diary off
