function c06pk_example

% diary c06pk_example.r
fprintf('c06pk example results\n\n');

a = 1 - 0.5i;
b =   - 0.5i;
x(1:5) = a;
x(6:9) = b;
y(1:4) = a/2;
y(5:9) = b/2;

job = nag_int(1);
[conv, tconv, ifail] = c06pk(job, x, y);
job = nag_int(2);
[corr, tcorr, ifail] = c06pk(job, x, y);

result = [transpose(conv) transpose(corr)];
disp('      Convolution        Correlation');
disp(result);

% diary off
