function c06pv_example

% diary c06pv_example.r
fprintf('c06pv example results\n\n');

m = nag_int(5);
n = nag_int(2);
x = [0.010  0.346;
     1.284  1.960;
     1.754  0.855;
     0.089  0.161;
     1.004  1.844];

% Compute Transform
[y, ifail] = c06pv(m, n, x);
fprintf('\nComponents of discrete Fourier transform\n');
% Display as 2-d array
disp(reshape(y, m/2, n));

% Compute Inverse Transform
[x, ifail] = c06pw(m, n, y);
fprintf('Original sequence as restored by inverse transform\n');
% Display as 2-d array
disp(reshape(x, m, n));

% diary off
