function c06rf_example

% diary c06rf_example.r
fprintf('c06rf example results\n\n');

% Discrete cosine transform of 3 sequences of length 7
m = nag_int(3);
n = nag_int(6);
x = [ 0.3854   0.5417   0.9172;
      0.6772   0.2983   0.0644;
      0.1138   0.1181   0.6037;
      0.6751   0.7255   0.6430;
      0.6362   0.8638   0.0428;
      0.1424   0.8723   0.4815;
      0.9562   0.4936   0.2057];

[x, ifail] = c06rf(n,x);
disp('X under discrete cosine transform:');
disp(x);

% Reconstruct using same transform
[x, ifail] = c06rf(n,x);
disp('X reconstructed under second cosine transform:');
disp(x);

% diary off
