function d01an_example

% diary d01an_example.r
fprintf('d01an example results\n\n');

a = 0;
b = 1;
omega = 10*pi;
key = nag_int(2);
epsabs = 0;
epsrel = 0.0001;
[result, abserr, w, iw, ifail] = ...
  d01an( ...
	 @g, a, b, omega, key, epsabs, epsrel);

fprintf('Result = %13.5f,  Standard error = %10.2e\n', result, abserr);

% diary off

function [result] = g(x)
  if (x > 0)
    result = log(x);
  else
    result = 0;
  end
