function d01at_example

% diary d01at_example.r
fprintf('d01at example results\n\n');

a = 0;
b = 2*pi;
epsabs = 0;
epsrel = 0.0001;
[result, abserr, w, iw, ifail] = ...
  d01at( ...
	 @f, a, b, epsabs, epsrel);

fprintf('Result = %13.4f,  Standard error = %10.2e\n', result, abserr);

% diary off

function [fv] = f(x,n)
  fv = zeros(n,1);
  for i = 1:n
    fv(i) = x(i)*sin(30*x(i))/sqrt(1-(x(i)/(2*pi))^2);
  end
