function d01au_example

% diary d01au_example.r
fprintf('d01au example results\n\n');

a = 0;
b = 2*pi;
epsabs = 0;
epsrel = 0.001;
[result, abserr, w, iw, ifail] = ...
  d01au( ...
	 @f, a, b, epsabs, epsrel);

fprintf('Result = %13.5f,  Standard error = %10.2e\n', result, abserr);

% diary off

function [fv] = f(x,n)
  fv=zeros(n,1);
  for i=1:n
    fv(i) = x(i)*sin(30*x(i))*cos(x(i));
  end
