function d01gb_example

% diary d01gb_example.r
fprintf('d01gb example results\n\n');

a = [0;     0;     0;     0];
b = [1;     1;     1;     1];
mincls = nag_int(1000);
maxcls = nag_int(20000);
epsilon = 0.01;
wrkstr = zeros(500,1);
finest = 0;

[mincls, acc, wrkstr, finest, ifail] = ...
    d01gb(...
          a, b, mincls, maxcls, @functn, epsilon, wrkstr, finest);

fprintf('Requested accuracy    =  %9.2e\n', epsilon);
fprintf('Estimated value       =  %8.5f\n', finest);
fprintf('Estimated accuracy    =  %9.2e\n', acc);
fprintf('Number of evaluations =  %5d\n',mincls);

% diary off

function result = functn(ndim,x)
  result = 4*x(1)*x(3)^2*exp(2*x(1)*x(3))/(1+x(2)+x(4))^2;
