function d01gc_example

% diary d01gc_example.r
fprintf('d01gc example results\n\n');

npts = nag_int(2);
vk = zeros(4,1);
nrand = nag_int(4);
[vk, res, err, ifail] = d01gc( ...
			       @f, @region, npts, vk, nrand);

fprintf('Result = %13.5f,  Standard error = %10.2e\n', res, err);

% diary off

function result = f(ndim,x)
  result = cos(0.5+2*sum(x)-double(ndim));

function [c,d] = region(ndim, x, j)
  c=0;
  d=1;
