function d05by_example

% diary d05by_example.r
fprintf('d05by example results\n\n');

iorder = nag_int(4);
iq = nag_int(3);
lenfw = nag_int(32);
[wt, sw, ifail] = d05by( ...
			 iorder, iq, lenfw);

fprintf('\nFractional convolution weights\n\n');
itiq = double(2^(iq+1));
n = [0:itiq-1]';
w(1:itiq) = wt(1:itiq,1);
fprintf('%3d    %10.4f\n',[n w']');

fprintf('\nFractional starting weights W\n\n');
ldsw = double(itiq+2*iorder-1);
n = [0:ldsw-1]';
fprintf('%5d%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f%9.4f\n',[n sw]');

% diary off
