function e01ab_example

% diary e01ab_example.r
fprintf('e01ab example results\n\n');

a = [-1  -0.50   0    0.50    1    1.50];
b = [ 0  -0.53  -1   -0.46    2   11.09];
n = nag_int(size(a,2)/2);

x = 0.28;
% We get p from x = a(n) + p*h, where h = 0.5
p = (x-a(n))/0.5;

[bx, c, ifail] = e01ab(n, p, b);

for k = 0:n-1
  fprintf('Central differences order %4d of y_0 = %12.5f\n', k, c(2*k+1));
  fprintf('%37s = %12.5f\n', 'y_1',c(2*k+2));
end
fprintf('\nFunction value at interpolation point = %12.5f\n', c(end));

% diary off
