function e01bh_example

% diary e01bh_example.r
fprintf('e01bh example results\n\n');

x = [7.99 8.09    8.19    8.7     9.2     10      12      15      20];
f = [0 2.7643e-05 0.04375 0.16918 0.46943 0.94374 0.99864 0.99992 0.99999];

% Theses are as returned by e01be(x,f)
d = [0;
     0.00055251;
     0.33587;
     0.34944;
     0.59696;
     0.060326;
     0.000898335;
     2.93954e-05;
     0];

m = 11;
dx = (x(end)-x(1))/(m-1);
px = [x(1):dx:x(end)];

ia = [1 6 7 8];
ib = [9 7 6 8];
fprintf('                               Integral\n');
fprintf('          a            b     over (a,b)\n');

for i = 1:4
  a = x(ia(i));
  b = x(ib(i));
  [pint, ifail] = e01bh( ...
                         x, f, d, a, b);
  fprintf('%13.4f%13.4f%13.4f\n', a, b, pint);
end

% diary off
