function e02ac_example

% diary e02ac_example.r
fprintf('e02ac example results\n\n');

x = [0:0.05:1]';
y = exp(x);

m1 = nag_int(6);
[a, ref] = e02ac(x, y, m1);

disp('Polynomial coefficients');
disp(a);
fprintf('\nReference deviation = %10.2e\n\n',ref);

z = x(1:2:end);
pz = polyval(a(end:-1:1),z);
expz = exp(z);
resz = pz - expz;
fprintf('        x     Fit       exp(x) Residual(*10^-6)\n');
disp([z pz expz resz*10^6]);


% diary off
