function e02bd_example

% diary e02bd_example.r
fprintf('e02bd example results\n\n');

knots = [ 1  3  3  3  4  4];
ncap = size(knots,2) + 1;
ncap7 = ncap + 7;

lamda = zeros(ncap7,1);
lamda(5:ncap+3) = knots;
lamda(ncap+4:ncap7) = 6;

% B-spline coefficients
c = zeros(ncap7,1);
c(1:ncap+3) = [10  12  13  15  22  26  24  18  14  12];

[dint, ifail] = e02bd( ...
                       lamda, c);

fprintf('Definite integral = %10.3e\n',dint);

% diary off
