function e02ga_example

% diary e02ga_example.r
fprintf('e02ga example results\n\n');

a = zeros(7, 5);
for i = 1:5
  a(i, 1) = exp((i-1)/5);
  a(i, 2) = exp(-(i-1)/5);
  a(i, 3) = 1;
end
b = [4.501;   4.36;   4.333;   4.418;   4.625];

[a, b, x, resid, irank, iter, ifail] = ...
  e02ga(a, b);

fprintf('Resid = %8.4f  Rank = %5d  Iterations = %5d\n\n',resid, irank, iter);
disp('Solution:');
disp(x(1:irank)');

% diary off
