function e05jj_example

% diary e05jj_example.r
fprintf('e05jj example results\n\n');

% Initialize comm array
[comm, ifail] = e05ja;

% See what the default values are for the various options
nf     = e05jk('Function Evaluations Limit', comm);
infbnd = e05jl('Infinite Bound Size', comm);
lcsrch = e05jj('Local Searches', comm);
loclim = e05jk('Local Searches Limit', comm);
loctol = e05jl('Local Searches Tolerance', comm);
repeat = e05jj('Repeatability', comm);
smax   = e05jk('Splits Limit', comm);
stclim = e05jk('Static Limit', comm);
objerr = e05jl('Target Objective Error', comm);
objsfg = e05jl('Target Objective Safeguard', comm);
objval = e05jl('Target Objective Value', comm);

disp('The default values are for various options are:');
fprintf('%-26s : %8d\n','Function Evaluations Limit', nf);
fprintf('%-26s : %8.2e\n','Infinite Bound Size', infbnd);
fprintf('%-26s : %8s\n','Local Searches', lcsrch);
fprintf('%-26s : %8d\n','Local Searches Limit', loclim);
fprintf('%-26s : %8.2e\n','Local Searches Tolerance', loctol);
fprintf('%-26s : %8s\n','Repeatability', repeat);
fprintf('%-26s : %8d\n','Splits Limit', smax);
fprintf('%-26s : %8d\n','Static Limit', stclim);
fprintf('%-26s : %8.2e\n','Target Objective Error', objerr);
fprintf('%-26s : %8.2e\n','Target Objective Safeguard', objsfg);
fprintf('%-26s : %8.2e\n','Target Objective Value', objval);

% diary off
