function e05jl_example

% diary e05jl_example.r
fprintf('e05jl example results\n\n');

[comm, ifail] = e05ja;

% List the default values for some options
nf     = e05jk('Function Evaluations Limit', comm);
infbnd = e05jl('Infinite Bound Size',        comm);
lcsrch = e05jj('Local Searches',             comm);
loclim = e05jk('Local Searches Limit',       comm);
loctol = e05jl('Local Searches Tolerance',   comm);
repeat = e05jj('Repeatability',              comm);
smax   = e05jk('Splits Limit',               comm);
stclim = e05jk('Static Limit',               comm);
objerr = e05jl('Target Objective Error',     comm);
objsfg = e05jl('Target Objective Safeguard', comm);
objval = e05jl('Target Objective Value',     comm);

fprintf('Function Evaluations Limit = %10d\n',nf);
fprintf('Infinite Bound Size        = %10.3e\n',infbnd);
fprintf('Local Searches             = %10s\n',lcsrch);
fprintf('Local Searches Limit       = %10d\n',loclim);
fprintf('Local Searches Tolerance   = %10.3e\n',loctol);
fprintf('Repeatability              = %10s\n',repeat);
fprintf('Splits Limit               = %10d\n',smax  );
fprintf('Static Limit               = %10d\n',stclim);
fprintf('Target Objective Error     = %10.3e\n',objerr);
fprintf('Target Objective Safeguard = %10.3e\n',objsfg);
fprintf('Target Objective Value     = %10.3f\n',objval);

% diary off
