function f01ka_example

% diary f01ka_example.r
fprintf('f01ka example results\n\n');

a = [0+1i, -1+0i,  1+0i,  2+0i;
     2+1i,  0-1i,  0+0i,  1+0i;
     0+1i,  0+0i,  1+1i,  0+2i;
     1+0i,  2+0i, -2+3i,  0+1i];
fun = 'sinh';

% Find absolute condition number estimate
[a, conda, norma, normfa, ifail] = ...
f01ka(fun, a);

fprintf('\nf(A) = %s(A)\n', fun);
fprintf('Estimated absolute condition number is: %7.2f\n', conda);

%  Find relative condition number estimate
eps = x02aj;
if normfa > eps
   cond_rel = conda*norma/normfa;
   fprintf('Estimated relative condition number is: %7.2f\n', cond_rel);
else
  fprintf('The estimated norm of f(A) is effectively zero;\n');
  fprintf('the relative condition number is therefore undefined.\n');
end

% diary off
