function f01kg_example

% diary f01kg_example.r
fprintf('f01kg example results\n\n');

% Exponential and conditioning of matrix A 
a =  [1+ i, 2+ i, 2+ i, 2+i;
      3+2i, 1,    1,    2+i;
      3+2i, 2+ i, 1,    2+i;
      3+2i, 3+2i, 3+2i, 1+i];

% Compute exp(a)
[expa, condea, ifail] = f01kg(a);

% Display results
disp('exp(A):');
disp(expa);

fprintf('Estimated condition number is: %6.2f\n', condea);

% diary off
