function f01vf_example

% diary f01vf_example.r
fprintf('f01vf example results\n\n');

uplo   = 'u';
transr = 'n';
a = [1.1000 + 1.1000i,  1.2000 + 1.2000i,  1.3000 + 1.3000i,  1.4000 + 1.4000i;
        0,              2.2000 + 2.2000i,  2.3000 + 2.3000i,  2.4000 + 2.4000i;
        0,                  0,             3.3000 + 3.3000i,  3.4000 + 3.4000i;
        0,                  0,                  0,            4.4000 + 4.4000i];
% Print the unpacked matrix
fprintf('\n');
[ifail] = x04db(uplo, 'n', a, 'b', 'f5.2', 'Unpacked matrix a:', 'i', ...
                'i', nag_int(80), nag_int(0));
% Convert to Rectangular Full Packed form
[ar, info] = f01vf(transr, uplo, a);
% Print the packed vector
fprintf('\n');
[ifail] = x04db('g', 'x', ar, 'b', 'f5.2', 'RFP Packed Array ar:', 'i', ...
                'n', nag_int(80), nag_int(0));

n = nag_int(size(a,1));
k = nag_int(n/2);
q = n - k;
if transr=='N' || transr=='n'
  lar1 = 2*k + 1;
  lar2 = q;
else
  lar1 = q;
  lar2 = 2*k + 1;
end

ar = reshape(ar,lar1,lar2);

fprintf('\n');
[ifail] = x04db('g', 'x', ar, 'b', 'f5.2', ... 
                'RFP Packed Array ar (graphical representation):', 'i', ...
                'i', nag_int(80), nag_int(0), 'm', lar1, 'n', lar2);

% diary off
