function f01zb_example

% diary f01zb_example.r
fprintf('f01zb example results\n\n');

job = 'Pack';
uplo = 'U';
diag = 'N';
a = [ 1.1 + 1.1i,  1.2 + 1.2i,  1.3 + 1.3i,  1.4 + 1.4i;
      0   + 0i,    2.2 + 2.2i,  2.3 + 2.3i,  2.4 + 2.4i;
      0   + 0i,    0   + 0i,    3.3 + 3.3i,  3.4 + 3.4i;
      0   + 0i,    0   + 0i,    0   + 0i,    4.4 + 4.4i];
b =  complex(zeros(10, 1));

[A, ap, ifail] = f01zb(job, uplo, diag, a, b);

disp('Unpacked Matrix A:');
disp(A);
fprintf('\n');
disp('Packed Vector ap:');
disp(ap);

% diary off
