function f03ba_example

% diary f03ba_example.r
fprintf('f03ba example results\n\n');

a = [ 33,  16,  72;
     -24, -10, -57;
      -8,  -4, -17];
% Compute LU factorisation of a
[a, ipiv, info] = f07ad(a);

fprintf('\n');
[ifail] = x04ca('g', 'n', a, 'Array a after factorization');

fprintf('\nPivots:\n');
fprintf(' %d', ipiv);
fprintf('\n\n');

[d, id, ifail] = f03ba(a, ipiv);

fprintf('d = %13.5f id = %d\n', d, id);
fprintf('Value of determinant = %13.5e\n', d*2^id);

% diary off
