function f03bn_example

% diary f03bn_example.r
fprintf('f03bn example results\n\n');

a = [1,   1+2i, 2+10i;
     1+i, 3i,  -5+14i;
     1+i, 5i,  -8+20i];
% LU factorisation of a
[a, ipiv, info] = f07ar(a);

fprintf('\n');
[ifail] = x04da('g', 'n', a, 'Array a after factorization');

fprintf('\nPivots:\n');
fprintf(' %d', ipiv);
fprintf('\n\n');

[d, id, ifail] = f03bn(a, ipiv);

fprintf('\nd = %13.5f id = (%d, %d)\n', d, id);
fprintf('Value of determinant = (%13.5e, %13.5e)\n', ...
        real(d)*2^id(1),imag(d)*2^id(2));

% diary off
