function f05aa_example

% diary f05aa_example.r
fprintf('f05aa example results\n\n');

a = [ 1, -2,  3,  1;
     -2,  1, -2, -1;
      3, -2,  1,  5;
      4,  1,  5,  3];

% Orthonormalize all but first column of A
n1 = nag_int(2);
[a, cc, icol, ifail] = f05aa(a, n1);

fprintf('Linear dependence measure for column %1d = %6.4f\n', icol, cc);
fprintf('\nFinal orthonormalized columns\n');
disp(a(:,n1:end));

% diary off
