function f07aa_example

% diary f07aa_example.r
fprintf('f07aa example results\n\n');

% Linear system
a = [ 1.80,  2.88,  2.05, -0.89;
      5.25, -2.95, -0.95, -3.80;
      1.58, -2.69, -2.90, -1.04;
     -1.11, -0.66, -0.59,  0.80];
b = [ 9.52;
     24.35;
      0.77;
     -6.22];

% Solve
[LU, ipiv, x, info] = f07aa(a, b);

disp('Solution');
disp(x');
disp('Details of factorization');
disp(LU);
disp('Pivot indices');
disp(double(ipiv'));

% diary off
