function f07be_example

% diary f07be_example.r
fprintf('f07be example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,     0,     0,     0;
       0,     0,    -3.66, -2.13;
       0,     2.54, -2.73,  4.07;
      -0.23,  2.46,  2.46, -3.82;
      -6.98,  2.56, -4.78,  0];
b  = [ 4.42, -36.01;
      27.13, -31.67;
      -6.14, -1.16;
      10.50, -25.82];
% Factorize A
[abf, ipiv, info] = f07bd( ...
                           m, kl, ku, ab);

% Compute Solution
trans = 'N';
[x, info] = f07be( ...
                      trans, kl, ku, abf, ipiv, b);

disp('Solution(s)');
disp(x);

% diary off
