function f07ce_example

% diary f07ce_example.r
fprintf('f07ce example results\n\n');

% Tridiagonal matrix A stored as diagonals:
du = [        2.1    -1.0      1.9     8.0];
d  = [3.0     2.3    -5.0     -0.9     7.1];
dl = [3.4     3.6     7.0     -6.0        ];
n  = numel(d);

% Factorize A.
[dlf, df, duf, du2f, ipiv, info] = ...
  f07cd(dl, d, du);

% Rhs B
b = [ 2.7,   6.6;
     -0.5,  10.8;
      2.6,  -3.2;
      0.6, -11.2;
      2.7,  19.1];

% Solve AX = B
trans = 'No transpose';
[x, info] = f07ce( ...
                   trans, dlf, df, duf, du2f, ipiv, b);

disp('Solution(s)');
disp(x);

% diary off
