function f07cn_example

% diary f07cn_example.r
fprintf('f07cn example results\n\n');

% Tridiagonal matrix stored by diagonals
du = [              2   - 1i     2   + 1i    -1   + 1i     1   - 1i  ];
d  = [-1.3 + 1.3i  -1.3 + 1.3i  -1.3 + 3.3i  -0.3 + 4.3i  -3.3 + 1.3i];
dl = [ 1   - 2i     1   + 1i     2   - 3i     1   + 1i               ];

% Rhs B
b = [  2.4 -  5.0i;
       3.4 + 18.2i;
     -14.7 +  9.7i;
      31.9 -  7.7i;
      -1   +  1.6i];

% Solve for x
[dl, d, du, x, info] = f07cn( ...
                              dl, d, du, b);

disp('Solution');
disp(x);

% diary off
