function f07cs_example

% diary f07cs_example.r
fprintf('f07cs example results\n\n');

% Tridiagonal matrix stored by diagonals
du = [              2   - 1i     2   + 1i    -1   + 1i     1   - 1i  ];
d  = [-1.3 + 1.3i  -1.3 + 1.3i  -1.3 + 3.3i  -0.3 + 4.3i  -3.3 + 1.3i];
dl = [ 1   - 2i     1   + 1i     2   - 3i     1   + 1i               ];

% Rhs B
b = [  2.4 -  5.0i   2.7 +  6.9i; 
       3.4 + 18.2i  -6.9 -  5.3i; 
     -14.7 +  9.7i  -6.0 -  0.6i; 
      31.9 -  7.7i  -3.9 +  9.3i; 
      -1   +  1.6i  -3.0 + 12.2i];

% Factorize.
[dlf, df, duf, du2, ipiv, info] = ...
  f07cr(dl, d, du);

% Solve
trans = 'No transpose';
[x, info] = f07cs( ...
                   trans, dlf, df, duf, du2, ipiv, b);

disp('Solution(s)');
disp(x);

% diary off
