function f07fj_example

% diary f07fj_example.r
fprintf('f07fj example results\n\n');

% Lower triangular part of symmetric matrix A
uplo = 'Lower';
a = [ 4.16,  0,    0,    0;
     -3.12,  5.03, 0,    0;
      0.56, -0.83, 0.76, 0;
     -0.10,  1.18, 0.34, 1.18];

% Factorize A
[L, info] = f07fd( ...
                   uplo, a);

% Invert A using L.

[ainv, info] = f07fj( ...
                      uplo, L);

[ifail] = x04ca( ...
                 uplo, 'N', ainv, 'Inverse');

% diary off
