function f07fw_example

% diary f07fw_example.r
fprintf('f07fw example results\n\n');

% Lower triangular part of Hermitian matrix A
uplo = 'Lower';
a = [ 3.23 + 0i,     0    + 0i,     0    + 0i,     0    + 0i;
      1.51 + 1.92i,  3.58 + 0i,     0    + 0i,     0    + 0i;
      1.90 - 0.84i, -0.23 - 1.11i,  4.09 + 0i,     0    + 0i;
      0.42 - 2.50i, -1.18 - 1.37i,  2.33 + 0.14i,  4.29 + 0i];

% Factorize
[L, info] = f07fr( ...
                   uplo, a);

% Invert
[ainv, info] = f07fw( ...
                      uplo, L);

[ifail] = x04da( ...
                 uplo, 'Non-unit', ainv, 'Inverse');

% diary off
