function f07gs_example

% diary f07gs_example.r
fprintf('f07gs example results\n\n');

% Symmetric A in lower packed form
uplo = 'L';
n = nag_int(4);
ap = [3.23 + 0i    1.51 + 1.92i    1.90 - 0.84i    0.42 - 2.50i ...
                   3.58 + 0i      -0.23 - 1.11i   -1.18 - 1.37i ...
                                   4.09 + 0.00i    2.33 + 0.14i ...
                                                   4.29 + 0.00i];

[L, info] = f07gr( ...
                     uplo, n, ap);

% RHS
b = [ 3.93 -  6.14i,  1.48 +  6.58i;
      6.17 +  9.42i,  4.65 -  4.75i;
     -7.17 - 21.83i, -4.91 +  2.29i;
      1.99 - 14.38i,  7.64 - 10.79i];

% Solve AX = B
  
[x, info] = f07gs( ...
                   uplo, L, b);

disp('Solution(s)');
disp(x);

% diary off
