function f07hn_example

% diary f07hn_example.r
fprintf('f07hn example results\n\n');

uplo = 'U';
kd = nag_int(1);
n  = nag_int(4);
ab = [0,          1.08 - 1.73i,  -0.04 + 0.29i,  -0.33 + 2.24i;
      9.39 + 0i,  1.69 + 0i,      2.65 + 0i,      2.17 + 0i];

b = [ -12.42 + 68.42i;
       -9.93 +  0.88i;
      -27.3  -  0.01i;
        5.31 + 23.63i];

[abf, x, info] = f07hn( ...
                        uplo, kd, ab, b);

disp('Solution');
disp(x);

kl = nag_int(0);
[ifail] = x04de( ...
                 n, n, kl, kd, abf, 'Cholesky factor');

% diary off
