function f07jn_example

% diary f07jn_example.r
fprintf('f07jn example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

%RHS
b = [ 64 + 16i;
      93 + 62i;
      78 - 80i;
      14 - 27i];

%Solve
[df, ef, x, info] = f07jn( ...
                           d, e, b);

disp('Solution');
disp(x);
disp('Diagonal elements of the diagonal matrix D');
disp(df);
disp('Sub-diagonal elements of the Cholesky factor L');
disp(ef);

% diary off
