function f07jr_example

% diary f07jr_example.r
fprintf('f07jr example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

% Factorize
[df, ef, info] = f07jr( ...
                        d, e);

disp('Details of factorization');
disp('The diagonal elements of D');
disp(df);
disp('Sub-diagonal elements of the Cholesky factor L');
disp(ef);

% diary off
