function f07nn_example

% diary f07nn_example.r
fprintf('f07nn example results\n\n');

% Symmetric indefinite matrix A (Upper triangular part stored)
uplo = 'Upper';
a = [-0.56 + 0.12i, -1.54 - 2.86i,  5.32 - 1.59i,  3.80 + 0.92i;
      0    + 0i,    -2.83 - 0.03i, -3.52 + 0.58i, -7.86 - 2.96i;
      0    + 0i,     0    + 0i,     8.86 + 1.81i,  5.14 - 0.64i;
      0    + 0i,     0    + 0i,     0    + 0i,    -0.39 - 0.71i];

% RHS
b = [ -6.43 + 19.24i;
      -0.49 -  1.47i;
     -48.18 + 66.00i;
     -55.64 + 41.22i];

% Solve
[af, ipiv, x, info] = f07nn( ...
                             uplo, a, b);

disp('Solution');
disp(x);

[ifail] = x04da( ...
                 uplo, 'Non-unit', af, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
