function f07pw_example

% diary f07pw_example.r
fprintf('f07pw example results\n\n');

% Hermitian indefinite matrix A (Lower triangular part stored in packed form)
uplo = 'L';
n = nag_int(4);
ap = [-1.36 + 0i;  1.58 - 0.9i;   2.21 + 0.21i;  3.91 - 1.5i;
                  -8.87 + 0i;    -1.84 + 0.03i; -1.78 - 1.18i;
                                 -4.63 + 0i;     0.11 - 0.11i;
                                                -1.84 + 0i];

% Factorize
[apf, ipiv, info] = f07pr( ...
                           uplo, n, ap);

% Invert
[ainv, info] = f07pw( ...
                      uplo, apf, ipiv);

[ifail] = x04dc( ...
                 uplo, 'Non-unit', n, ainv, 'Inverse');

% diary off
