function f07wj_example

% diary f07wj_example.r
fprintf('f07wj example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 0.76   0.34; 
       4.16   1.18;
      -3.12   5.03;
       0.56  -0.83;
      -0.10   1.18];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% Factorize a
[ar, info] = f07wd(transr, uplo, n, ar);

if info == 0
  % Compute inverse of a
  [ar, info] = f07wj(transr, uplo, n, ar);
  % Convert inverse to full array form, and print it
  [a, info] = f01vg(transr, uplo, n, ar);
  fprintf('\n');
  [ifail] = x04ca(uplo, 'n', a, 'Inverse');
else
  fprintf('\na is not positive definite.\n');
end

% diary off
