function f08fd_example

% diary f08fd_example.r
fprintf('f08fd example results\n\n');

% Find eigenvalues 2:3 of A
a = [1, 2, 3, 4;
     0, 2, 3, 4;
     0, 0, 3, 4;
     0, 0, 0, 4];

jobz  = 'Vectors';
range = 'I';
uplo  = 'Upper';
vl = 0;
vu = 0;
il = nag_int(2);
iu = nag_int(3);
abstol = 0;

[~, m, w, z, ~, info] = ...
  f08fd(...
        jobz, range, uplo, a, vl, vu, il, iu, abstol);

fprintf(' Eigenvalues numbered %d to %d are:\n   ', il, iu);
fprintf(' %7.4f',w(1:m));
fprintf('\n\n');

[ifail] = x04ca( ...
		 'General', ' ', z, 'Selected eigenvectors');

% diary off
