function f08un_example

% diary f08un_example.r
fprintf('f08un example results\n\n');

% Hermitian banded matrices A and B stored in symmetric banded format
uplo = 'U';
ka = nag_int(2);
ab = [ 0,          0    + 0i,    -1.40 + 0.25i, -0.67 + 0.34i;
       0    + 0i,  1.94 - 2.10i, -0.82 - 0.89i, -1.10 - 0.16i;
      -1.13 + 0i, -1.91 + 0i,    -1.87 + 0i,     0.50 + 0i];
kb = nag_int(1);
bb = [ 0,          1.08 - 1.73i, -0.04 + 0.29i, -0.33 + 2.24i;
       9.89 + 0i,  1.69 + 0i,     2.65 + 0i,     2.17 + 0i];

% Eigenvalues only of Ax = lmbda Bx
jobz = 'No vectors';
[~, ~, w, ~, info] = f08un( ...
			    jobz, uplo, ka, kb, ab, bb);

disp('Eigenvalues');
disp(w');

% diary off
