function f08wv_example

% diary f08wv_example.r
fprintf('f08wv example results\n\n');

job = 'B';
a = [ 1 + 3i,   1 + 4i,   1 + 5i,    1 + 6i;
      2 + 2i,   4 + 3i,   8 + 4i,   16 + 5i;
      3 + 1i,   9 + 2i,  27 + 3i,   81 + 4i;
      4 + 0i,  16 + 1i,  64 + 2i,  256 + 3i];
b = [ 1,        2 + 1i,   3 + 2i,    4 + 3i;
      1 + 1i,   4 + 2i,   9 + 3i,   16 + 4i;
      1 + 2i,   8 + 3i,  27 + 4i,   64 + 5i;
      1 + 3i,  16 + 4i,  81 + 5i,  256 + 6i];

[abal, bbal, ilo, ihi, lscale, rscale, info] = ...
  f08wv(job, a, b);

disp('Balanced A:');
disp(abal);
disp('Balanced B:');
disp(bbal);
disp('Scaling factors:');
disp('     Left      Right');
disp([lscale rscale]);

% diary off
