function f08yt_example

% diary f08yt_example.r
fprintf('f08yt example results\n\n');

% exchanges rows 4 and 1 of the matrix pair S,T, where
s = [ 4 + 4i,  1 + 1i,  1 + 1i,  2 - 1i;
      0 + 0i,  2 + 1i,  1 + 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  2 - 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  6 - 2i];
t = [ 2,       1 + 1i,  1 + 1i,  3 - 1i;
      0 + 0i,  1 + 0i,  2 + 1i,  1 + 1i;
      0 + 0i,  0 + 0i,  1 + 0i,  1 + 1i;
      0 + 0i,  0 + 0i,  0 + 0i,  2 + 0i];

wantq = false;
wantz = false;
q = complex(zeros(1, 4));
z = complex(zeros(1, 4));
ifst = nag_int(1);
ilst = nag_int(4);
[s, t, q, z, ilst, info] = ...
  f08yt( ...
         wantq, wantz, s, t, q, z, ifst, ilst);

disp('Reordered Schur matrix S');
disp(s);
disp('Reordered Schur matrix T');
disp(t);

% diary off
