function f11xn_example

% diary f11xn_example.r
fprintf('f11xn example results\n\n');

a = [ 2 + 3i   1 - 4i                             ...
                        1 + 0i  -1 - 2i           ...
      4 + 1i            0 + 1i             1 + 3i ...
                                 0 - 1i    2 - 6i ...
              -2 + 0i                      3 + 1i];
irow = [nag_int(1) 1   2 2   3 3 3   4 4   5 5];
icol = [nag_int(1) 2   3 4   1 3 5   4 5   2 5];
x = [ 0.70 + 0.21i;
      0.16 - 0.43i;
      0.52 + 0.97i;
      0.77 + 0.00i;
      0.28 - 0.64i];

% Calculate matrix-vector product
trans = 'N';
check = 'C';
[y, ifail] = f11xn( ...
                    trans, a, irow, icol, check, x);
fprintf('\nMatrix-vector product\n');
disp(y);

% Calculate conjugate transposed matrix-vector product
trans = 'T';
check = 'N';
[y, ifail] = f11xn( ...
                    trans, a, irow, icol, check, x);
fprintf('\nConjugate transposed matrix-vector product\n');
disp(y);

% diary off
