function f16gh_example

% diary f16gh_example.r
fprintf('f16gh example results\n\n');

n = nag_int(3);
x = [ -4 + 2.1i    3.7 + 4.5i     -6   + 1.2i];
y = [ -3 - 2.4i    6.4 - 5.0i     -5.1 + 0.0i];

% z = alpha*x +beta*y;
alpha =  3 + 2i;
beta  =  0 - 1i;

fprintf('w = alpha*x + beta*y\n');
fprintf('alpha = %5.1f%+5.1fi      beta = %5.1f%+5.1fi\n', ...
	real(alpha), imag(alpha), real(beta), imag(beta));

incx = nag_int(1);
incy = nag_int(1);
incw = nag_int(1);
[w] = f16gh( ...
	     n, alpha, x, incx, beta, y, incy, incw);

disp('          x                  y                  w');
disp([x; y; w']');

% diary off
