function g01ag_example

% diary g01ag_example.r
fprintf('g01ag example results\n\n');

x = [16.0     16.0     16.4     20.5     18.3     16.3     17.7     15.3;
     16.5     16.9     21.9     15.5     15.9     16.1     18.5     12.7;
     15.7     14.3     13.9     12.8     12.0     15.6     15.9     16.7;
     14.3     14.4     15.2     14.1     15.5     16.5     14.3     13.2;
     13.9     14.4     13.5     11.2     14.4     15.5     18.5     16.4;
     17.1     16.9     17.5     15.9     19.2     17.7     15.2     17.1];
y = [ 5.3      6.6      6.1      5.5      6.9      6.1      6.4      6.3;
      7.8      8.3      5.7      6.2      6.0      6.1      6.6      4.8;
      4.9      5.1      5.5      6.7      6.5      5.2      5.2      7.1;
      4.9      5.6      6.4      6.9      5.6      6.1      5.7      5.0;
      6.5      6.2      5.2      6.6      5.8      6.3      6.3      5.8;
      5.9      6.5      5.8      5.7      7.2      6.5      5.4      6.3];
nstepx = nag_int(40);
nstepy = nag_int(32);

fprintf(['Plot of wheat (X) and potato (Y) yields in 48 counties in',  ...
	 'England in 1936.\n\n']);

[~, ~, ~] = g01ag( ...
		   x, y, nstepx, nstepy)


% diary off
