function g01aj_example

% diary g01aj_example.r
fprintf('g01aj example results\n\n');

x = [ 2.68     8.23     0.11     1.39    -2.77    -1.17      3.49     7.39 ...
      5.22     5.44     7.06     6.17    -4.44     5.98     14.02     8.06 ...
     10.96     0.99     7.87     4.85     9.76     3.3       4.45     7.02 ...
      5.43     3.57     1.98     3.09    -2.66     5.04     14.52    -0.61 ...
      5.04     6.85     3.94     4.87     3.82     5.93      7.89     9.48 ...
      6.81     6.91     7.76     6.21     0.55    -2.44     18.09     6.19 ...
      9.19    10.55];

nstepx = nag_int(10);
nstepy = nag_int(10);
ispace = nag_int(10);

[xstep, n1, multy, ifail, nstepx, nstepy, ispace, xmin, xmax] = ...
    g01aj( ...
	   x, nstepx, nstepy, 'ispace', ispace);

% Display cumulative histogram and no indent
itype = nag_int(1);
ispace = nag_int(0);

% Display only data between -10 and 5
xmin = -10; 
xmax = 5;

[xstep, n1, multy, ifail, nstepx, nstepy, ispace, xmin, xmax] = ...
    g01aj( ...
	   x, nstepx, nstepy, 'itype', itype, 'ispace', ispace, ...
	   'xmin', xmin, 'xmax', xmax);

% diary off
