function g01ep_example

% diary g01ep_example.r
fprintf('g01ep example results\n\n');

% bounds for the significance of a Durbin–Watson statistic.
n  = nag_int(10);
ip = nag_int(2);
d  = 0.9238;

[pdl, pdu, ifail] = g01ep(n, ip, d);

fprintf('d_l(n=%4d,p=%4d,d=%7.4f) = %7.4f\n',n,ip,d,pdl);
fprintf('d_u(n=%4d,p=%4d,d=%7.4f) = %7.4f\n',n,ip,d,pdu);

% diary off
