function g01eu_example

% diary g01eu_example.r
fprintf('g01eu example results\n\n');

% Vavilov distribution function
rkappa = 2.5;
beta2 = 0.7;
mode = nag_int(1);
x = 0.1;

[xl, xu, work, ifail] = g01zu( ...
			       rkappa, beta2, mode);

[p, ifail] = g01eu(x, work);

fprintf('Phi_v(%5.1f;%5.1f,%6.2f) = %7.4f\n',x,rkappa,beta2,p);

% diary off
