function g01fa_example

% diary g01fa_example.r
fprintf('g01fa example results\n\n');

p    = [ 0.975;    0.025;        0.950;   0.050];
tail = {'Lower'; 'Upper'; 'Confidence'; 'Significance'};

fprintf('  Tail    probability    deviate\n');
for j = 1:numel(p);

  [x, ifail] = g01fa( ...
                      p(j) ,'tail', tail{j});

  fprintf('%4s%14.3f%14.4f\n', tail{j}(1), p(j), x);
end

% diary off
