function g01fm_example

% diary g01fm_example.r
fprintf('g01fm example results\n\n');

p  = [    0.95     0.30    0.9];
v  = [   10       60       5  ];
ir = [nag_int(5)  12       4  ];
quantile  = p;

fprintf('     p       v    ir   quantile\n');
for j = 1:numel(p)
   [quantile(j), ifail] = g01fm( ...
				 p(j), v(j), ir(j));
end

fprintf('%8.3f%8.3f%4d %8.3f\n', [p; v; double(ir); quantile]);

% diary off
