function g01sf_example

% diary g01sf_example.r
fprintf('g01sf example results\n\n');

tail = {'L'};
g = [15.5; 0.5; 10; 5];
a = [4; 4; 1; 2];
b = [2; 1; 2; 2];
% calculate probability
[p, ivalid, ifail] = g01sf(tail, g, a, b);

fprintf('Gamma deviate    Alpha     Beta    Probability\n');
lg    = numel(g);
la    = numel(a);
lb    = numel(b);
ltail = numel(tail);
len   = max ([lg, la, lb, ltail]);
for i=0:len-1
  fprintf('%9.2f%13.2f%9.2f%10.4f\n', g(mod(i,lg)+1), a(mod(i,la)+1), ...
          b(mod(i,lb)+1), p(i+1));
end

% diary off
