function g05px_example

% diary g05px_example.r
fprintf('g05px example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Control parameters
side = 'Right';
init = 'Initialize';

% Generate the random orthogonal matrix
a = zeros(4, 4);
[state, a, ifail] = g05px( ...
                           side, init, state, a);

disp('Random orthogonal matrix');
disp(a);

% diary off
