function g05sa_example

% diary g05sa_example.r
fprintf('g05sa example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% The number of pseudorandom numbers to be generated
n = nag_int(5);

% Generate variates from a Uniform (0,1) distribution
[state, x, ifail] = g05sa( ...
                           n, state);

disp('Variates');
disp(x);

% diary off
