function g05sc_example

% diary g05sc_example.r
fprintf('g05sc example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
xmed = 1;
semiqr = 2;

% Generate variates from Cauchy distribution
[state, x, ifail] = g05sc( ...
                           n, xmed, semiqr, state);

disp('Variates');
disp(x);

% diary off
