function g05sd_example

% diary g05sd_example.r
fprintf('g05sd example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
df = nag_int(5);

% Generate variates from Chi^2 distribution
[state, x, ifail] = g05sd( ...
                           n, df, state);

disp('Variates');
disp(x);

% diary off
