function g05se_example

% diary g05se_example.r
fprintf('g05se example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);
% Parameters
a = [2; 2; 2; 2];

% Generate variates from Dirichlet distribution
[state, x, ifail] = g05se( ...
                           n, a, state);

disp('Variates');
disp(x);

% diary off
