function g05sl_example

% diary g05sl_example.r
fprintf('g05sl example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
a = 1;
b = 2;

% Generate variates from a logistic distribution
[state, x, ifail] = g05sl( ...
                           n, a, b, state);

disp('Variates');
disp(x);

% diary off
