function g05sp_example

% diary g05sp_example.r
fprintf('g05sp example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
xmin = -1;
xmed = 0.5;
xmax = 1;

% Generate variates from a triangular distribution
[state, x, ifail] = g05sp( ...
                           n, xmin, xmed, xmax, state);

disp('Variates');
disp(x);

% diary off
