function g05te_example

% diary g05te_example.r
fprintf('g05te example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters
ns = nag_int(500);
np = nag_int(1000);
m = nag_int(900);

% Generate variates from hypergeomtric distribution
mode = nag_int(2);
r = zeros(200, 1);
[r, state, x, ifail] = g05te( ...
                              mode, n, ns, np, m, r, state);

disp('Variates');
disp(double(x));

% diary off
