function g07dd_example

% diary g07dd_example.r
fprintf('g07dd example results\n\n');

x = [26; 12;  9;  2;  5;  6;  8; 14;
      7;  3;  1; 11; 10;  4; 17; 21];
alpha = 0.15;

[tmean, wmean, tvar, wvar, k, sx, ifail] = ...
  g07dd(x, alpha);

% Calculate proportion of data cut
propn = 100*(1-2*double(k)/numel(x));

fprintf('Statistics from middle %6.2f%% of data\n\n',propn);
fprintf('               Trimmed-mean = %11.4f\n', tmean);
fprintf('   Variance of Trimmed-mean = %11.4f\n\n', tvar);
fprintf('            Winsorized-mean = %11.4f\n', wmean);
fprintf('Variance of Winsorized-mean = %11.4f\n', wvar);

% diary off
