function g08ac_example

% diary g08ac_example.r
fprintf('g08ac example results\n\n');

x = [13;  6; 12;  7; 12;  7; 10;  7;
     10;  7; 10;  7; 10;  8;  9;  8;
     17;  6; 16;  8; 15;  8; 15; 10;
     15; 10; 14; 10; 14; 11; 14; 11;
     13; 12; 13; 12; 13; 12; 12];

n  = numel(x);
n1 = nag_int(16);
n2 = n-n1;

fprintf('Median test\n\n');
fprintf('Data values\n\n');

fprintf('     Group 1 ');
for j = 1:floor(n1/8)
  i1 = (j-1)*8 + 1;
  i2 = min(n1,i1+7);
  fprintf('%4.0f',x(i1:i2));
  fprintf('\n             ');
end
fprintf('\n     Group 2 ');
for j = 1:floor(n2/8)
  i1 = (j-1)*8 + 1;
  i2 = min(n2,i1+7);
  fprintf('%4.0f',x(i1+n1:i2+n1));
  fprintf('\n             ');
end

[i1, i2, p, ifail] = g08ac( ...
                            x, n1);

fprintf('\n%6d scores below median in group 1\n',i1);
fprintf('%6d scores below median in group 2\n\n',i2);
fprintf('     Significance %10.5f\n',p);

% diary off
