function g10za_example

% diary g10za_example.r
fprintf('g10za example results\n\n');

x = [1; 3; 5; 5; 3; 4; 9; 6; 9; 9];
y = [4; 4; 1; 2; 5; 3; 4; 9; 7; 4];

% Reorder data
[nord, xord, yord, wtord, rss, ifail] =  ...
  g10za(x, y);

% Display results
fprintf('Number of distinct observations = %7d\n', nord);
fprintf('Residual sum of squares         = %13.5f\n\n', rss);
fprintf('%16s%18s%19s\n', 'x', 'y', 'wt');
results = [xord(1:nord) yord(1:nord) wtord(1:nord)];
fprintf('%17.1f%18.1f%18.1f\n', results');

% diary off
