function g11aa_example

% diary g11aa_example.r
fprintf('g11aa example results\n\n');

nrow  = nag_int(3);
nobst = [nag_int(23),  9,  6;
                 21,   4,  3;
                 34,  24, 17];

[expt, chist, prob, chi, g, df, ifail] = ...
  g11aa(nrow, nobst);

% Display results
fprintf('Probability                     = %9.4f\n', prob);
fprintf('Pearson Chi-square statistic    = %8.3f\n', chi);
fprintf('Likelihood ratio test statistic = %8.3f\n', g);
fprintf('Degrees of freedom              = %4.0f\n', df);

% diary off
