function g11bc_example

% diary g11bc_example.r
fprintf('g11bc example results\n\n');

y   = [ 274;   361;   253;   325;   317;   339;
        326;   402;   336;   379;   345;   361;
        352;   334;   318;   339;   393;   358;
        350;   340;   203;   397;   356;   298;
        382;   376;   355;   418;   387;   379;
        432;   339;   293;   322;   417;   342;
         82;   297;   133;   306;   352;   361;
        220;   333;   270;   388;   379;   274;
        336;   307;   266;   389;   333;   353];

idim   = [nag_int(3); 6; 3];
isdim  = [nag_int(0); 1; 1];
maxt   = prod(idim(isdim~=0));
maxt   = nag_int(maxt);

% Compute marginal table
stat = 'A';
[table, mcells, mdim, mlevel, auxt, ifail] = ...
  g11bc( ...
         stat, y, idim, isdim, maxt);

% Display results
fprintf(' Marginal Table\n\n');
ncol = mlevel(mdim);
nrow = mcells/ncol;
table  = transpose(reshape(table,[ncol,nrow]));
for i = 1:nrow
  fprintf('%8.2f', table(i,:));
  fprintf('\n');
end

% diary off
