function g13dd_example

% diary g13dd_example.r
fprintf('g13dd example results\n\n');

ip     = nag_int(1);
iq     = nag_int(0);
mean_p = true;

% Set all elements of Q to zero to use the covariance matrix
% between the K time series as the initial estimate of the
% covariance matrix
qq = [0, 0; 0, 0];

% Series
w = [-1.49, -1.62,  5.20,  6.23,  6.21,  5.86,  4.09,  3.18,  2.62,  1.49, ...
      1.17,  0.85, -0.35,  0.24,  2.44,  2.58,  2.04,  0.40,  2.26,  3.34, ...
      5.09,  5.00,  4.78,  4.11,  3.45,  1.65,  1.29,  4.09,  6.32,  7.50, ...
      3.89,  1.58,  5.21,  5.25,  4.93,  7.38,  5.87,  5.81,  9.68,  9.07, ...
      7.29,  7.84,  7.55,  7.32,  7.97,  7.76,  7.00,  8.35;
      7.34,  6.35,  6.96,  8.54,  6.62,  4.97,  4.55,  4.81,  4.75,  4.76, ...
     10.88, 10.01, 11.62, 10.36,  6.40,  6.24,  7.93,  4.04,  3.73,  5.60, ...
      5.35,  6.81,  8.27,  7.68,  6.65,  6.08, 10.25,  9.14, 17.75, 13.30, ...
      9.63,  6.80,  4.08,  5.06,  4.94,  6.65,  7.94, 10.76, 11.89,  5.85, ...
      9.01,  7.50, 10.02, 10.38,  8.15,  8.37, 10.73, 12.14];

% Initial parameter estimates and free parameter flags
par    = zeros(6, 1);
parhld = [false;  false;  true;  false;  false;  false];

% Exact likelihood
exact  = true;
% control parameters
iprint = nag_int(-1);
cgetol = 0.0001;
ishow  = nag_int(2);

[par, qq, niter, rlogl, v, g, cm, ifail] = ...
  g13dd( ...
	 ip, iq, mean_p, par, qq, w, parhld, exact, iprint, cgetol, ishow);

% diary off
