function h02bb_example

% diary h02bb_example.r
fprintf('h02bb example results\n\n');

% Maximize (3,4).x; negate and minimize 
cvec = [-3; -4];
% subject to constraints bl <= Ax <= bu
a = [ 2,  5;
      2, -2;
      3,  2];
big = 1e+20;
% first 2 elements are bounds on x, the remainder are bounds on Ax
bl = [  0;    0; -big; -big;    5];
bu = [big;  big;   15;    5;  big];

% both x variables are integers
intvar = nag_int([1;1]);


itmax = nag_int(0);
msglvl = nag_int(1);
maxnod = nag_int(0);
intfst = nag_int(0);
toliv  = 0;
tolfes = 0;
bigbnd = big;
% Initial guess for x
x = [1;  1];
[itmax, toliv, tolfes, bigbnd, x, objmip, iwork, rwork, ifail] = ...
    h02bb(...
          itmax, msglvl, a, bl, bu, intvar, cvec, maxnod, intfst, toliv, ...
          tolfes, bigbnd, x, 'maxdpt', nag_int(4));

% diary off
