function h03ad_example

% diary h03ad_example.r
fprintf('h03ad example results\n\n');

n  = nag_int(11);
ns = nag_int(1);
ne = n;
direct = false;
d = [  5;   6;   5;
            2;        4;
                 1;        4;
                           1;   3;
                           1;             9;
                                1;   6;        7;
                                          8;
                                          1;        4;
                                               2;   2;
                                                    4];
irow = [nag_int(1);1;1;  2;2;  3;3;  4;4;  5;5;  6;6; 6;  7; 8; 8;   9; 9; 10];
icol = [nag_int(2);3;4;  3;5;  4;6;  6;7;  6;9;  7;8;10;  9; 9;11;  10;11; 11];

[splen, path, ifail] = h03ad(n, ns, ne, direct, d, irow, icol);

fprintf('Shortest path = ');
j = 1;
while path(j)~=0;
  if j>1
    fprintf('  to  ');
  end
  fprintf('%2d', path(j));
  j = j+1;
end
fprintf('\n\nLength of shortest path = %16.6g\n', splen);

% diary off
