function nag_det_real_band_sym_example

% diary nag_det_real_band_sym_example.r
fprintf('nag_det_real_band_sym example results\n\n');

uplo = 'l';
kd   = nag_int(2);
n    = nag_int(7);
ab = [ 5,  6,  6,  6,  6,  6,  5;
      -4, -4, -4, -4, -4, -4,  0;
       1,  1,  1,  1,  1,  0,  0];
% Factorize a
[ab, info] = nag_lapack_dpbtrf(uplo, kd, ab);

if info == 0
  fprintf('\n');
  [ifail] = nag_file_print_matrix_real_band(n, n, kd, nag_int(0), ab, 'Array ab after factorization');

  [d, id, ifail] = nag_det_real_band_sym(uplo, kd, ab);

  fprintf('d = %13.5f id = %d\n', d, id);
  fprintf('Value of determinant = %13.5e\n', d*2^id);
else
  fprintf('\n** Factorization routine returned error flag info = %d\n', info);
end

% diary off
