function nag_file_print_matrix_complex_band_example

% diary nag_file_print_matrix_complex_band_example.r
fprintf('nag_file_print_matrix_complex_band example results\n\n');

nmax = 5;
b = zeros(nmax,nmax);
for j = 1:nmax
  b(j,:) = [1:nmax] + 10*j;
end

a = b - i*b;

% 5x5 tridiagonal matrix
m = nag_int(nmax);
n = m;
kl = nag_int(1);
ku = kl;

mtitle = 'Band Matrix:';
[ifail] = nag_file_print_matrix_complex_band( ...
                 m, n, kl, ku, a, mtitle);

% diary off
