function nag_file_print_matrix_real_packed_example

% diary nag_file_print_matrix_real_packed_example.r
fprintf('nag_file_print_matrix_real_packed example results\n\n');

nmax = 5;
la = (nmax*(nmax+1))/2;
a = [1:la];

% First matrix : 4x4 unit lower triangular 
mtitle = 'Example 1:';
n = nag_int(nmax-1);
uplo   = 'Lower';
diag   = 'Unit';
[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, diag, n, a, mtitle);

fprintf('\n');
% Second matrix : 5x5 non-unit upper triangular 
mtitle = 'Example 2:';
n = nag_int(nmax);
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, diag, n, a, mtitle);

% diary off
