function nag_fit_1dcheb_glp_example

% diary nag_fit_1dcheb_glp_example.r
fprintf('nag_fit_1dcheb_glp example results\n\n');

x = -cos([0:10]*pi/10);
f = exp(-x);

[a, ifail] = nag_fit_1dcheb_glp(f);

disp('Chebyshev coefficients:');
fprintf('%11.7f\n',a);

for i=1:11
  [p(i), ifail] = nag_fit_1dcheb_eval(a, -x(i));
end
fprintf('\n');
disp('      x        p(x)');
disp([x' p']);

% diary off
