function nag_interp_1d_aitken_example

% diary nag_interp_1d_aitken_example.r
fprintf('nag_interp_1d_aitken example results\n\n');

a = [-1  -0.50   0    0.50    1    1.50];
b = [ 0  -0.53  -1   -0.46    2   11.09];
n = nag_int(5);

x = 0.28;
[ax, bx, c] = nag_interp_1d_aitken(a, b, n, x);

k = 1;

disp('Interpolated values');
for i = n-1:-1:1
  fprintf('%12.5f',c(k:k+i));
  fprintf('\n');
  k = k + i + 1;
end

fprintf('\nInterpolation point = %12.5f\n', x);
fprintf('\nFunction value at interpolation point = %12.5f\n', c(end));

% diary off
