function nag_lapack_dgbbrd_example

% diary nag_lapack_dgbbrd_example.r
fprintf('nag_lapack_dgbbrd example results\n\n');

% Banded matrix A stored in banded format
m  = nag_int(6);
n  = nag_int(4);
kl = nag_int(2);
ku = nag_int(1);
ab = [ 0.00, -1.28, -0.31, -0.35;
      -0.57,  1.08,  0.40,  0.08;
      -1.93,  0.24, -0.66, -2.13;
       2.30,  0.64,  0.15,  0.50];

% Reduce A to bidiagonal form
c  = [];
vect = 'No Q or PT';
[abf, d, e, q, pt, c, info] = nag_lapack_dgbbrd( ...
                                     vect, m, kl, ku, ab, c);

fprintf('Diagonal:\n');
fprintf(' %8.4f',d);
fprintf('\nOff-diagonal (absolute values):\n');
fprintf(' %8.4f',abs(e));
fprintf('\n');

% diary off
