function nag_lapack_dgetri_example

% diary nag_lapack_dgetri_example.r
fprintf('nag_lapack_dgetri example results\n\n');

a = [ 1.80,  2.88,  2.05, -0.89;
      5.25, -2.95, -0.95, -3.80;
      1.58, -2.69, -2.90, -1.04;
     -1.11, -0.66, -0.59,  0.80];

% Factorize a
[af, ipiv, info] = nag_lapack_dgetrf(a);

% Compute inverse of a
[ainv, info] = nag_lapack_dgetri(af, ipiv);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'General', ' ', ainv, 'Inverse');

% diary off
