function nag_lapack_dggbal_example

% diary nag_lapack_dggbal_example.r
fprintf('nag_lapack_dggbal example results\n\n');

a = [1,  1,   1,    1,    1;
     2,  4,   8,   16,   32;
     3,  9,  27,   81,  243;
     4, 16,  64,  256, 1024;
     5, 25, 125,  625, 3125];
b = [1,  2,   3,    4,    5;
     1,  4,   9,   16,   25;
     1,  8,  27,   64,  125;
     1, 16,  81,  256,  625;
     1, 32, 243, 1024, 3125];

% Balance matrix pair (A,B)
job = 'Balance';
[a, b, ilo, ihi, lscale, rscale, info] = ...
  nag_lapack_dggbal(job, a, b);

fprintf('Lower index for permuted central block matrix pair = %d\n', ilo);
fprintf('Upper index for permuted central block matrix pair = %d\n', ihi);
disp('Contents of left scaling vector:');
disp(lscale');
disp('Contents of right scaling vector:');
disp(rscale');
disp('Balanced matrix A');
disp(a);
disp('Balanced matrix B');
disp(b);



% diary off
