function nag_lapack_dgtsv_example

% diary nag_lapack_dgtsv_example.r
fprintf('nag_lapack_dgtsv example results\n\n');

% Tridiagonal matrix A stored as diagonals:
du = [        2.1    -1.0      1.9     8.0];
d  = [3.0     2.3    -5.0     -0.9     7.1];
dl = [3.4     3.6     7.0     -6.0        ];

% RHS B
b  = [2.7;   -0.5;    2.6;     0.6;    2.7];

% Solve Ax = B
[dlf, df, duf, x, info] = nag_lapack_dgtsv( ...
                                 dl, d, du, b);

disp('Solution');
disp(x');

% diary off
