function nag_lapack_dorgrq_example

% diary nag_lapack_dorgrq_example.r
fprintf('nag_lapack_dorgrq example results\n\n');

a = [-0.57  -1.93   2.30  -1.93   0.15  -0.02;
     -1.28   1.08   0.24   0.64   0.30   1.03;
     -0.39  -0.31   0.40  -0.66   0.15  -1.43;
      0.25  -2.14  -0.35   0.08  -2.13   0.50];

% Compute the RQ Factorisation of A
[rq, tau, info] = nag_lapack_dgerqf(a);

% Form Q
[Q, info] = nag_lapack_dorgrq(rq, tau);

disp('Orthogonal factor Q');
disp(Q);

% diary off
