function nag_lapack_dormqr_example

% diary nag_lapack_dormqr_example.r
fprintf('nag_lapack_dormqr example results\n\n');

a = [-0.57, -1.28, -0.39,  0.25;
     -1.93,  1.08, -0.31, -2.14;
      2.30,  0.24,  0.40, -0.35;
     -1.93,  0.64, -0.66,  0.08;
      0.15,  0.30,  0.15, -2.13;
     -0.02,  1.03, -1.43,  0.50];

% Compute the QR Factorisation of A
[a, tau, info] = nag_lapack_dgeqrf(a);

% Apply Q^T to C from Left, i.e. B = Q^T*C
side = 'Left';
trans = 'Transpose';
c = [-2.67,  0.41;
     -0.55, -3.10;
      3.34, -4.01;
     -0.77,  2.76;
      0.48, -6.17;
      4.10,  0.21];
[b, info] = nag_lapack_dormqr(side, trans, a, tau, c);

disp('B = Q^T*C:');
disp(b);

% diary off
