function nag_lapack_dpbtrs_example

% diary nag_lapack_dpbtrs_example.r
fprintf('nag_lapack_dpbtrs example results\n\n');

% Symmetric A (one lower/upper off-diagonal) in banded form 
uplo = 'Lower';
kd = nag_int(1);
n  = nag_int(4);
ab = [5.49,  5.63,  2.60, 5.17;
      2.68, -2.39, -2.22, 0.00];

% Factorize
[abf, info] = nag_lapack_dpbtrf( ...
                     uplo, kd, ab);

% RHS
b  = [22.09,   5.1;
       9.31,  30.81;
      -5.24, -25.82;
      11.83,  22.9];

% Solve Ax = B
[x, info] = nag_lapack_dpbtrs( ...
                   uplo, kd, abf, b);

disp('Solution:');
disp(x);

% diary off
