function nag_lapack_dposv_example

% diary nag_lapack_dposv_example.r
fprintf('nag_lapack_dposv example results\n\n');

% Upper triangular part of symmetric matrix A
uplo = 'Upper';
a = [4.16, -3.12,  0.56, -0.10;
     0,     5.03, -0.83,  1.18;
     0,     0,     0.76,  0.34;
     0,     0,     0,     1.18];

% RHS
b = [8.7; -13.35;  1.89; -4.14];

% Solve Ax = b
  [af, x, info] = nag_lapack_dposv( ...
                         uplo, a, b);

disp('Solution');
disp(x');

[ifail] = nag_file_print_matrix_real_gen( ...
                 uplo, 'Non-unit', af, 'Cholesky factor');

% diary off
