function nag_lapack_dpttrs_example

% diary nag_lapack_dpttrs_example.r
fprintf('nag_lapack_dpttrs example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

% RHS
b = [ 6, 10;
      9,  4;
      2,  9;
     14, 65;
      7, 23];

% Factorize
[df, ef, info] = nag_lapack_dpttrf( ...
                        d, e);

%Solve
[x, info] = nag_lapack_dpttrs( ...
                   df, ef, b);

disp('Solution(s)');
disp(x);

% diary off
