function nag_lapack_dspcon_example

% diary nag_lapack_dspcon_example.r
fprintf('nag_lapack_dspcon example results\n\n');

% Indefinite matrix A (lower triangular part stored in packed format)
uplo = 'L';
n = nag_int(4);
ap = [2.07;   3.87;   4.20;   -1.15;
             -0.21;   1.87;    0.63;
                      1.15;    2.06;
                              -1.81];

% Factorize
[apf, ipiv, info] = nag_lapack_dsptrf( ...
                           uplo, n, ap);

anorm = 11.29;
[rcond, info] = nag_lapack_dspcon( ...
                       uplo, apf, ipiv, anorm);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
