function nag_lapack_dspsv_example

% diary nag_lapack_dspsv_example.r
fprintf('nag_lapack_dspsv example results\n\n');

% Indefinite matrix A, Upper triangle stored in packed form
uplo = 'Upper';
n = nag_int(4);
ap = [-1.81  ...
      2.06  1.15   ...
      0.63  1.87  -0.21   ...
     -1.15  4.20   3.87   2.07];

% RHS
b = [0.96;
     6.07;
     8.38;
     9.50];

[apf, ipiv, x, info] = nag_lapack_dspsv( ...
                              uplo, ap, b);

disp('Solution');
disp(x');

[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, 'Non-unit', n, apf, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
