function nag_lapack_dstegr_example

% diary nag_lapack_dstegr_example.r
fprintf('nag_lapack_dstegr example results\n\n');

% Tridiagoal matrix A stored as diagonal and off-diagonal
d = [1; 4; 9; 16];
e = [1; 2; 3; 0];

% All eigenvalues and eigenvectors of A
jobz = 'V';
range = 'A';
vl = 0;
vu = 0;
il = nag_int(0);
iu = nag_int(0);
[w, ~, m, w, z, isuppz, info] = ...
nag_lapack_dstegr( ...
       jobz, range, d, e, vl, vu, il, iu);

% Normalize eigenvectors: largest element positive
for j = 1:m
  [~,k] = max(abs(z(:,j)));
  if z(k,j) < 0;
    z(:,j) = -z(:,j);
  end
end                            

disp('Eigenvalues');
disp(w(1:m)');
disp('Eigenvectors');
disp(z);

% diary off
