function nag_lapack_dsyevd_example

% diary nag_lapack_dsyevd_example.r
fprintf('nag_lapack_dsyevd example results\n\n');

job = 'V';
uplo = 'L';
a = [1, 0, 0, 0;
     2, 2, 0, 0;
     3, 3, 3, 0;
     4, 4, 4, 4];

[z, w, info] = nag_lapack_dsyevd( ...
		      job, uplo, a);

disp('Eigenvalues');
disp(w');

[ifail] = nag_file_print_matrix_real_gen( ...
		 'General', ' ', z, 'Eigenvectors');

% diary off
