function nag_lapack_dtbcon_example

% diary nag_lapack_dtbcon_example.r
fprintf('nag_lapack_dtbcon example results\n\n');

% Condition number of A, where A is lower triangular banded
% and stored in triangular/symmetric banded format 
kd = nag_int(1);
ab = [-4.16, 4.78,  6.32, 0.16;
      -2.25, 5.86, -4.82, 0.00];

% Reciprocal condition number
norm_p = '1';
uplo = 'L';
diag = 'N';
[rcond, info] = nag_lapack_dtbcon( ...
                       norm_p, uplo, diag, kd, ab);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
