function nag_lapack_dtpcon_example

% diary nag_lapack_dtpcon_example.r
fprintf('nag_lapack_dtpcon example results\n\n');

% Estimate condition number of A, where A is Lower triangular and packed
n = nag_int(4);
ap = [ 4.30; -3.96;  0.40; -0.27;
             -4.87;  0.31;  0.07;
                    -8.02; -5.95;
                            0.12];

% Estimate condition number
norm_p = '1';
uplo = 'L';
diag = 'N';
[rcond, info] = nag_lapack_dtpcon( ...
                       norm_p, uplo, diag, n, ap);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
