function nag_lapack_dtptri_example

% diary nag_lapack_dtptri_example.r
fprintf('nag_lapack_dtptri example results\n\n');

% Invert A, where A is Lower triangular and packed
n = nag_int(4);
ap = [ 4.30; -3.96;  0.40; -0.27;
             -4.87;  0.31;  0.07;
                    -8.02; -5.95;
                            0.12];
uplo = 'L';
diag = 'N';

% Invert
[ainv, info] = nag_lapack_dtptri(uplo, diag, n, ap);

[ifail] = nag_file_print_matrix_real_packed( ...
                 uplo, 'Non-unit', n, ainv, 'Inverse');

% diary off
