function nag_lapack_zcgesv_example

% diary nag_lapack_zcgesv_example.r
fprintf('nag_lapack_zcgesv example results\n\n');

a = [ -1.34 + 2.55i,  0.28 + 3.17i,  -6.39 - 2.20i,  0.72 - 0.92i;
      -0.17 - 1.41i,  3.31 - 0.15i,  -0.15 + 1.34i,  1.29 + 1.38i;
      -3.29 - 2.39i, -1.91 + 4.42i,  -0.14 - 1.35i,  1.72 + 1.35i;
       2.41 + 0.39i, -0.56 + 1.47i,  -0.83 - 0.69i, -1.96 + 0.67i];
b = [ 26.26 + 51.78i;
       6.43 -  8.68i;
      -5.75 + 25.31i;
       1.16 +  2.57i];

[a, ipiv, x, iter, info] = nag_lapack_zcgesv(a, b);

disp('Solution');
disp(x');
disp('Pivot indices');
disp(double(ipiv'));

% diary off
