function nag_lapack_zgbtrf_example

% diary nag_lapack_zgbtrf_example.r
fprintf('nag_lapack_zgbtrf example results\n\n');

m = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0    + 0i,     0    + 0i,     0    + 0i,     0    + 0i;
       0    + 0i,     0    + 0i,     0.97 - 2.84i,  0.59 - 0.48i;
       0    + 0i,    -2.05 - 0.85i, -3.99 + 4.01i,  3.33 - 1.04i;
      -1.65 + 2.26i, -1.48 - 1.75i, -1.06 + 1.94i, -0.46 - 1.72i;
       0    + 6.3i,  -0.77 + 2.83i,  4.48 - 1.09i,  0    + 0i];

[abf, ipiv, info] = nag_lapack_zgbtrf( ...
                          m, kl, ku, ab);

mtitle = 'Details of factorization';
[ifail] = nag_file_print_matrix_complex_band( ...
                 m, m, kl, kl+ku, abf, mtitle);

disp('Pivot indices');
disp(double(ipiv'));

% diary off
