function nag_lapack_zgehrd_example

% diary nag_lapack_zgehrd_example.r
fprintf('nag_lapack_zgehrd example results\n\n');

ilo = nag_int(1);
ihi = nag_int(4);
a = [ -3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
       0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
       3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
      -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Reduce A to upper Hessenberg Form
[H, tau, info] = nag_lapack_zgehrd(ilo, ihi, a);

disp('Upper Hessenberg Form H');
disp(H);

% diary off
