function nag_lapack_zhetrd_example

% diary nag_lapack_zhetrd_example.r
fprintf('nag_lapack_zhetrd example results\n\n');

% A --> QTQ^H, for tridiagonal T
uplo = 'L';
a = [-2.28 + 0.00i,  0.00 + 0i,     0    + 0i,     0    + 0i;
      1.78 + 2.03i, -1.12 + 0i,     0    + 0i,     0    + 0i;
      2.26 - 0.10i,  0.01 - 0.43i, -0.37 + 0i,     0    + 0i;
     -0.12 - 2.53i, -1.07 - 0.86i,  2.31 + 0.92i, -0.73 + 0i];

[QT, d, e, tau, info] = nag_lapack_zhetrd(uplo, a);

disp('Main diagonal of T:');
disp (d');
disp('Off diagonal of T (absolute values):');
disp (abs(e)');

% diary off
