function nag_lapack_ztrtri_example

% diary nag_lapack_ztrtri_example.r
fprintf('nag_lapack_ztrtri example results\n\n');

% Invert A, where A is Lower triangular
a = [  4.78 +  4.56i,   0    +  0i,     0    + 0i,    0    + 0i;
       2.00 -  0.30i,  -4.11 +  1.25i,  0    + 0i,    0    + 0i;
       2.89 -  1.34i,   2.36 -  4.25i,  4.15 + 0.8i,  0    + 0i;
      -1.89 +  1.15i,   0.04 -  3.69i, -0.02 + 0.46i, 0.33 - 0.26i];

% Invert
uplo = 'L';
diag = 'N';
[ainv, info] = nag_lapack_ztrtri(uplo, diag, a);

% Display inverse
disp('Inverse');
disp(ainv);

% diary off
