function nag_linsys_complex_tridiag_solve_example

% diary nag_linsys_complex_tridiag_solve_example.r
fprintf('nag_linsys_complex_tridiag_solve example results\n\n');

du = [                2.0 -  1.0i;  2.0 + 1.0i; -1.0 + 1.0i;  1.0 - 1.0i];
d  = [ -1.3 +  1.3i; -1.3 +  1.3i; -1.3 + 3.3i; -0.3 + 4.3i; -3.3 + 1.3i];
dl = [  1.0 -  2.0i;  1.0 +  1.0i;  2.0 - 3.0i;  1.0 + 1.0i             ];

b = [   2.4 -  5.0i,  2.7 +  6.9i;
        3.4 + 18.2i, -6.9 -  5.3i;
      -14.7 +  9.7i, -6.0 -  0.6i;
       31.9 -  7.7i, -3.9 +  9.3i;
       -1.0 +  1.6i, -3.0 + 12.2i];

[dl, d, du, du2, ipiv, x, rcond, errbnd, ifail] = ...
  nag_linsys_complex_tridiag_solve(dl, d, du, b);

fprintf('Solution is x:\n');
disp(x);
fprintf('\nApproximate condition number = %8.3f\n',1/rcond);
fprintf('Error bound on solution      = %11.3e\n',errbnd);

% diary off
