function nag_linsys_real_gen_lsqsol_example

% diary nag_linsys_real_gen_lsqsol_example.r
fprintf('nag_linsys_real_gen_lsqsol example results\n\n');

% Least-squares solution to Ax = b, m>n
a = [1.1, 0.9;
     1.2, 1;
     1,   1];
b = [2.2;
     2.3;
     2.1];

epsilon = nag_machine_precision;
[x, qr, alpha, ipiv, ifail] = nag_linsys_real_gen_lsqsol( ...
                                     a, b, epsilon);

disp('Solution');
disp(x);

% diary off
