function nag_linsys_real_posdef_tridiag_solve_example

% diary nag_linsys_real_posdef_tridiag_solve_example.r
fprintf('nag_linsys_real_posdef_tridiag_solve example results\n\n');

% Solve Ax = b for symmetric tridiagonal A with error and conditioning
d = [ 4    10     29     25     5];
e = [-2    -6     15      8];
b = [ 6, 10;
      9,  4;
      2,  9;
     14, 65;
      7, 23];

[d, e, x, rcond, errbnd, ifail] = ...
  nag_linsys_real_posdef_tridiag_solve(d, e, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
