function nag_linsys_real_posdef_vband_solve_example

% diary nag_linsys_real_posdef_vband_solve_example.r
fprintf('nag_linsys_real_posdef_vband_solve example results\n\n');

a = [1;
     2;     5;
            3;     13;
                           16;
     5;    14;     18;      8;     55;
                   24;     17;     77];
nrow = [nag_int(1);  2; 2; 1; 5; 3];

% Factorize
[L, D, ifail] = nag_matop_real_vband_posdef_fac(a, nrow);

% Solve Ax = b
b = [  6.0 -10.0;
      15.0 -21.0;
      11.0  -3.0;
       0.0  24.0;
      51.0 -39.0;
      46.0  67.0];
iselct = nag_int(1);
[x, ifail] = nag_linsys_real_posdef_vband_solve(L, D, nrow, b, iselct);

disp('Solution');
disp(x);

% diary off
