function nag_linsys_real_toeplitz_yule_example

% diary nag_linsys_real_toeplitz_yule_example.r
fprintf('nag_linsys_real_toeplitz_yule example results\n\n');

% Solve Yule-Walker equations for symmetric definite Toeplitz system
n = nag_int(4);
t = [4     3     2     1     0];

wantp = true;
wantv = true;
[x, p, v, vlast, ifail] = ...
  nag_linsys_real_toeplitz_yule(n, t, wantp, wantv);

disp('Solution vector');
disp(x');
disp('Reflection coefficients');
disp(p');
disp('Mean square prediction errors');
disp(v');
   
% diary off
