function nag_matop_complex_gen_matrix_frcht_log_example

% diary nag_matop_complex_gen_matrix_frcht_log_example.r
fprintf('nag_matop_complex_gen_matrix_frcht_log example results\n\n');

% Logarithm of matrix A and Frechet derivative of log(A)E.

a = [ 1+4i    3i     i  2;
        2i  3     1     1+i;
      i     2+ i  2       i;
      1+2i  3+2i  1+2i  3+i];

e = [ 1     1+2i  2     2+i;
      1+3i     i  1     0;
        2i  4+ i  1     1;
      1     2+2i    3i  1];

[loga, lae, ifail] = nag_matop_complex_gen_matrix_frcht_log(a,e);

[ifail] = nag_file_print_matrix_complex_gen('General', ' ', loga, 'log(A):');
disp(' ');
[ifail] = nag_file_print_matrix_complex_gen('General', ' ', lae, 'L_log(A,E):');

% diary off
