function nag_matop_complex_gen_matrix_frcht_pow_example

% diary nag_matop_complex_gen_matrix_frcht_pow_example.r
fprintf('nag_matop_complex_gen_matrix_frcht_pow example results\n\n');

% Principal power p of matrix A and Frechet derivative of A^pE.

a = [ 2   3    2    1+3i;
      2+i 1    1    2+ i;
      0+i 2+2i 0+2i 0+4i;
      3   0+ i 3    1];

e = [ 0+i 3    2    1+3i;
      0+i 1    3+3i 0+ i;
      0+i 2+2i 0+2i 0;
      2   0+ i 1    1];

p = 0.2;

[pa, lpae, ifail] = nag_matop_complex_gen_matrix_frcht_pow(a,e,p);

disp('A^p:');
disp(pa);

disp('L_p(A,E):');
disp(lpae);

% diary off
