function nag_matop_complex_trapez_rq_example

% diary nag_matop_complex_trapez_rq_example.r
fprintf('nag_matop_complex_trapez_rq example results\n\n');

a = [ 2.4,     0.8 + 0.8i, -1.4 + 0.6i,  3   - i;
      0 + 0i,  1.6 + 0i,    0.8 + 0.3i,  0.4 + 0.5i;
      0 + 0i,  0   + 0i,    1   + 0i,    2   - i];

[RQ, theta, ifail] = nag_matop_complex_trapez_rq(a);

disp('RQ Factorization of A');
disp('Vector theta');
disp(theta');
disp('Matrix A after factorization (R in left-hand upper triangle');
disp(RQ);

% diary off
