function nag_matop_dtfttp_example

% diary nag_matop_dtfttp_example.r
fprintf('nag_matop_dtfttp example results\n\n');

transr = 'n';
uplo   = 'u';
n      = nag_int(4);
ar = [1.30; 2.30; 3.30; 1.10; 1.20; 1.40; 2.40; 3.40; 4.40; 2.20];
% Print the Rectangular Full Packed array
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ar, 'f5.2', 'RFP Packed Array ar:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));
% Convert to packed vector form
[ap, info] = nag_matop_dtfttp(transr, uplo, n, ar);
% Print the packed vector
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ap, 'f5.2', 'Packed Array ap:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));

% diary off
