function nag_matop_dtfttr_example

% diary nag_matop_dtfttr_example.r
fprintf('nag_matop_dtfttr example results\n\n');

transr = 'n';
uplo   = 'u';
n      = nag_int(4);
ar = [1.30; 2.30; 3.30; 1.10; 1.20; 1.40; 2.40; 3.40; 4.40; 2.20];
% Print the Rectangular Full Packed array
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ar, 'f5.2', 'RFP Packed Array ar:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));
% Convert to triangular form
[a, info] = nag_matop_dtfttr(transr, uplo, n, ar);
% Print the unpacked matrix
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp(uplo, 'n', a, 'f5.2', 'Unpacked matrix a:', 'i', ...
                {''}, 'i', {''}, nag_int(80), nag_int(0));

% diary off
