function nag_matop_dtpttf_example

% diary nag_matop_dtpttf_example.r
fprintf('nag_matop_dtpttf example results\n\n');

transr = 'n';
uplo   = 'u';
n      = nag_int(4);
ap = [1.1; 1.2; 2.2; 1.3; 2.3; 3.3; 1.4; 2.4; 3.4; 4.4];
% Print the packed array
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ap, 'f5.2', 'Packed array ap:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));
% Convert to Rectangular Full Packed form
[ar, info] = nag_matop_dtpttf(transr, uplo, n, ap);
% Print the Rectangular Full Packed array
fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ar, 'f5.2', 'RFP packed array ar:', 'i', ...
                {''}, 'n', {''}, nag_int(80), nag_int(0));

k = nag_int(n/2);
q = n - k;
if transr=='N' || transr=='n'
  lar1 = 2*k + 1;
  lar2 = q;
else
  lar1 = q;
  lar2 = 2*k + 1;
end

ar = reshape(ar,lar1,lar2);

fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen_comp('g', 'x', ar, 'f5.2', ... 
                'RFP Packed Array ar (graphical representation):', 'i', ...
                {''}, 'i', {''}, nag_int(80), nag_int(0), 'm', lar1, 'n', lar2);

% diary off
