function nag_mip_ilp_print_example

% diary nag_mip_ilp_print_example.r
fprintf('nag_mip_ilp_print example results\n\n');

n = nag_int(6);
m = nag_int(3);
big = 1e+20;
a    = [ 110,     205,      160,    160,    420,    260;
           4,      32,       13,      8,      4,     14;
           2,      12,       54,    285,     22,     80];
cvec = [   3;      24;       13;      9;     20;     19];
bl   = [   0;       0;        0;      0;      0;      0;
        2000;      55;      800];
bu   = [   4;       3;        2;      8;      2;      2;
         big;     big;      big];
intvar(1:n) = nag_int(1);

crname = {'Oatmeal ';'Chicken ';'Eggs    ';'Milk    ';'Pie     ';'Bacon   ';
          'Energy  ';'Protein ';'Calcium '};

itmax  = nag_int(0);
msglvl = nag_int(1);
maxnod = nag_int(0);
intfst = nag_int(0);
toliv  = 0;
tolfes = 0;
x = zeros(n,1);

[itmax, toliv, tolfes, big, x, objmip, iwork, rwork, ifail] = ...
nag_mip_ilp_dense( ...
       itmax, msglvl, a, bl, bu, intvar, cvec, maxnod, intfst, toliv, ...
       tolfes, big, x);

[bl, bu, clamda, istate, ifail] = ...
nag_mip_ilp_info(n, m, iwork, rwork);

[ifail] = nag_mip_ilp_print( ...
                 a, bl, bu, x, clamda, istate, crname);

% diary off
