function nag_mv_discrim_example

% diary nag_mv_discrim_example.r
fprintf('nag_mv_discrim example results\n\n');

x = [1.1314,  2.4596;
     1.0986,  0.2624;
     0.6419, -2.3026;
     1.3350, -3.2189;
     1.4110,  0.0953;
     0.6419, -0.9163;
     2.1163,  0.0000;
     1.3350, -1.6094;
     1.3610, -0.5108;
     2.0541,  0.1823;
     2.2083, -0.5108;
     2.7344,  1.2809;
     2.0412,  0.4700;
     1.8718, -0.9163;
     1.7405, -0.9163;
     2.6101,  0.4700;
     2.3224,  1.8563;
     2.2192,  2.0669;
     2.2618,  1.1314;
     3.9853,  0.9163;
     2.7600,  2.0281];
[n,m] = size(x);
isx  = ones(m,1,nag_int_name);
nvar = nag_int(m);
ing  = ones(n,1,nag_int_name);
ing(7:16) = nag_int(2);
ing(17:n) = nag_int(3);
ng        = nag_int(3);

[nig, gmean, det, gc, stat, df, sig, ifail] = ...
  nag_mv_discrim( ...
	 x, isx, nvar, ing, ng);

mtitle = 'Group means';
matrix = 'General';
diag   = ' ';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, gmean, mtitle);
fprintf('\nLog of determinants\n\n');
fprintf('%10.4f%10.4f%10.4f\n\n', det);
fprintf(' Stat = %7.4f\n', stat);
fprintf('   DF = %7.4f\n', df);
fprintf('  SIG = %7.4f\n', sig);

% diary off
