function nag_mv_rot_procrustes_example

% diary nag_mv_rot_procrustes_example.r
fprintf('nag_mv_rot_procrustes example results\n\n');

x = [0.63, 0.58;
     1.36, 0.39;
     1.01, 1.76];
y = [0,    0;
     1,    0;
     0,    2];

stand  = 'c';
pscale = 's';

[x, y, yhat, r, alpha, rss, res, ifail] = ...
  nag_mv_rot_procrustes( ...
	 stand, pscale, x, y);

mtitle = 'Rotation matrix';
matrix = 'General';
diag   = ' ';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, r, mtitle);

fprintf('\nScale factor = %7.3f\n\n', alpha);

mtitle = 'Target matrix';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, y, mtitle);

fprintf('\n');
mtitle = 'Fitted matrix';
[ifail] = nag_file_print_matrix_real_gen( ...
                 matrix, diag, yhat, mtitle);

fprintf('\nRSS          = %7.3f\n', rss);

% diary off
