function nag_nonpar_gofstat_anddar_unif_example

% diary nag_nonpar_gofstat_anddar_unif_example.r
fprintf('nag_nonpar_gofstat_anddar_unif example results\n\n');

x = [0.4782745, 1.2858962, 1.1163891, 2.0410619, 2.2648109, 0.0833660, ...
     1.2527554, 0.4031288, 0.7808981, 0.1977674, 3.2539440, 1.8113504, ...
     1.2279834, 3.9178773, 1.4494309, 0.1358438, 1.8061778, 6.0441929, ...
     0.9671624, 3.2035042, 0.8067364, 0.4179364, 3.5351774, 0.3975414, ...
     0.6120960, 0.1332589];
mu = 1.65;
% PIT
y = 1 - exp(-x/mu);
% Let nag_nonpar_gofstat_anddar_unif sort the uniform variates
issort = false;

% Calculate a-squared and probability
[y, a2, p, ifail] = nag_nonpar_gofstat_anddar_unif( ...
                           issort, y);

% Results
fprintf('H0: data from exponential distribution with mean %10.4e\n', mu);
fprintf('Test statistic, A-squared: %8.4f\n', a2);
fprintf('Upper tail probability:    %8.4f\n', p);

% diary off
