function nag_opt_one_var_func_example

% diary nag_opt_one_var_func_example.r
fprintf('nag_opt_one_var_func example results\n\n');

e1 = 0;
e2 = 0;
a = 3.5;
b = 5;
maxcal = nag_int(30);

[e1, e2, a, b, maxcal, x, f, user, ifail] = ...
nag_opt_one_var_func( ...
       @funct, e1, e2, a, b, maxcal);

fprintf('The minimum lies in the interval  [%11.8f,%11.8f]\n', a, b);
fprintf('Estimated position of minimum, x = %11.8f\n', x);
fprintf('Function value at minimum,  f(x) = %7.4f\n', f);
fprintf('Number of function evaluations   = %2d\n', maxcal);

% diary off

function [fc, user] = funct(xc, user)
  fc = sin(xc)/xc;
