function nag_quad_1d_fin_sing_example

% diary nag_quad_1d_fin_sing_example.r
fprintf('nag_quad_1d_fin_sing example results\n\n');

a = 0;
b = 1;
points = [1/7];
epsabs = 0;
epsrel = 0.001;
[result, abserr, w, iw, ifail] = ...
  nag_quad_1d_fin_sing( ...
	 @f, a, b, points, epsabs, epsrel);

fprintf('Result = %13.5f,  Standard error = %10.2e\n', result, abserr);

% diary off

function [result] = f(x)
  a = abs(x-1/7);
  if (a ~= 0)
    result = a^(-0.5);
  else
    result = 0;
  end
