function nag_rand_dist_logistic_example

% diary nag_rand_dist_logistic_example.r
fprintf('nag_rand_dist_logistic example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
a = 1;
b = 2;

% Generate variates from a logistic distribution
[state, x, ifail] = nag_rand_dist_logistic( ...
                           n, a, b, state);

disp('Variates');
disp(x);

% diary off
