function nag_rand_matrix_corr_example

% diary nag_rand_matrix_corr_example.r
fprintf('nag_rand_matrix_corr example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Eigenvalues
d = [0.7; 0.9; 1.4];

% Generate the correlation matrix with eigenvalues d
[state, c, ifail] = nag_rand_matrix_corr( ...
                           d, state);

disp('Correlation Matrix');
disp(c);

% diary off
