function nag_rand_permute_example

% diary nag_rand_permute_example.r
fprintf('nag_rand_permute example results\n\n');

% Initialize the seed and identify the base generator
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid =  nag_int(1);

% Initialize the generator to a repeatable sequence
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

index = zeros(10, 8, nag_int_name);

% Set up the index vector
index1 = nag_int([1:8]);

fprintf(' 10 Permutations of first 8 integers\n');
% Permutate 10 times
for j = 1:10
  % Call the permutation routine
  [index(j,:), state, ifail] = nag_rand_permute( ...
                                      index1, state);
end

% Display variates
disp(double(index));

% diary off
