function nag_roots_contfn_brent_rcomm_example

% diary nag_roots_contfn_brent_rcomm_example.r
fprintf('nag_roots_contfn_brent_rcomm example results\n\n');

x = 0;
y = 1;
fx = 0;
tolx = 1e-05;
c = zeros(17,1);
ind = nag_int(1);
while (ind ~= 0)
  [x, y, c, ind, ifail] = nag_roots_contfn_brent_rcomm(x, y, fx, tolx, c, ind);
  fx = exp(-x) - x;
  fprintf('x = %8.5f fx = %12.4e ind = %d\n', x, fx, ind);
end
if ifail == 0
  fprintf('\nSolution: x = %8.5f y = %8.5f\n', x, y);
elseif ifail == 4 || ifail == 5
  fprintf('\nx = %8.5f y = %8.5f\n', x, y);
end

% diary off
