function nag_sort_charvec_rank_example

% diary nag_sort_charvec_rank_example.r
fprintf('nag_sort_charvec_rank example results\n\n');

ch = {'A02AAF   289'; ...
      'A02ABF   523'; ...
      'A02ACF   531'; ...
      'C02ADF   169'; ...
      'C02AEF   599'; ...
      'C05ADF  1351'; ...
      'C05AGF   240'; ...
      'C05AJF   136'; ...
      'C05AVF   211'; ...
      'C05AXF   183'; ...
      'C05AZF  2181'};
m1 = nag_int(1);
l1 = nag_int(7);
l2 = nag_int(12);
order = 'Reverse ASCII';
[irank, ifail] = nag_sort_charvec_rank( ...
                        ch, m1, l1, l2, order);

fprintf('Records ranked on columns %2d to %2d\n\n',l1,l2);
fprintf('   Data         Ranks\n\n');
for i = 1:numel(ch)
  fprintf('%s%7d\n',char(ch{i}),irank(i));
end

% diary off
