function nag_specfun_beta_log_real_example

% diary nag_specfun_beta_log_real_example.r
fprintf('nag_specfun_beta_log_real example results\n\n');

a = [0.2; 0.4; 0.6; 0.8; 1.0; 1.0; 1.0; 2.0; 3.0; 4.0; ...
     5.0; 6.0; 6.0; 6.0; 6.0; 6.0; 7.0];
b = [1.0; 1.0; 1.0; 1.0; 0.2; 0.4; 1.0; 2.0; 3.0; 4.0; ...
     5.0; 2.0; 3.0; 4.0; 5.0; 6.0; 7.0];
lb = zeros(numel(a), 1);
for i = 1:numel(a)
  [lb(i), ifail] = nag_specfun_beta_log_real(a(i), b(i));
end
fprintf('\n  a    b        ln(beta(a,b))\n');
fprintf('%5.2f%5.2f%17.4e\n', vertcat(a', b', lb'));

% diary off
