function nag_specfun_opt_binary_aon_price_example

% diary nag_specfun_opt_binary_aon_price_example.r
fprintf('nag_specfun_opt_binary_aon_price example results\n\n');

put = 'P';
s = 70;
sigma = 0.27;
r = 0.07;
q = 0.05;
x = [65.0];
t = [0.5];

[p, ifail] = nag_specfun_opt_binary_aon_price( ...
                    put, x, s, t, sigma, r, q);

fprintf('\nBinary (Digital): Asset-or-Nothing\n European Put :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);
fprintf('  Strike     Expiry   Option Price\n');
for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
