function nag_stat_inv_cdf_beta_vector_example

% diary nag_stat_inv_cdf_beta_vector_example.r
fprintf('nag_stat_inv_cdf_beta_vector example results\n\n');

tail = {'L'};
p = [0.5; 0.99; 0.25];
a = [1.0; 1.5; 20.0];
b = [2.0; 1.5; 10.0];

[x, ivalid, ifail] = nag_stat_inv_cdf_beta_vector( ...
                            tail, p, a, b);

fprintf('  tail  probability    a         b    deviate    ivalid\n');
ltail = numel(tail);
lp    = numel(p);
la    = numel(a);
lb    = numel(b);
len   = max ([ltail, lp, la, lb]);
for i=0:len-1
  fprintf('%5s%9.4f%10.3f%10.3f%10.4f%8d\n', tail{mod(i, ltail)+1}, ...
          p(mod(i,lp)+1), a(mod(i,la)+1), b(mod(i,lb)+1), x(i+1), ivalid(i+1));
end

% diary off
