function nag_stat_inv_cdf_normal_vector_example

% diary nag_stat_inv_cdf_normal_vector_example.r
fprintf('nag_stat_inv_cdf_normal_vector example results\n\n');

p    = [0.9750; 0.0250; 0.9500; 0.0500];
xmu  = [0; 0; 0; 0];
xstd = [1; 1; 1; 1];
tail = {'L'; 'U'; 'C'; 'S'};

[dev, ivalid, ifail] = nag_stat_inv_cdf_normal_vector( ...
                              tail, p, xmu, xstd);

fprintf('tail    p              xmu      xstd      deviate\n');
lp    = numel(p);
lxmu  = numel(xmu);
lxstd = numel(xstd);
ltail = numel(tail);
len   = max ([lp, lxmu, lxstd, ltail]);
for i=0:len-1
  fprintf(' %c%11.3f%16.4f%8.3f%13.6f\n', tail{mod(i,ltail)+1}, ...
          p(mod(i,lp)+1), xmu(mod(i,lxmu)+1), xstd(mod(i,lxstd)+1), dev(i+1));
end

% diary off
