function nag_stat_plot_scatter_normal_example

% diary nag_stat_plot_scatter_normal_example.r
fprintf('nag_stat_plot_scatter_normal example results\n\n');

x = [ 0.35     0.1      0.95    -0.53     0.33     0.3      0.39     0.26 ...
     -0.45     0.12    -1.58     0.9      0.53    -0.58     0.54    -0.09 ...
      0.79    -0.41     0.54     0.48    -0.28    -0.71    -1.1     -0.41 ...
     -0.44];

nstepx = nag_int(50);
nstepy = nag_int(40);

fprintf('Plot of normal scores (Y) against standardised residuals (X)\n\n');

[ifail, xbar, xstd, work, xsort] = nag_stat_plot_scatter_normal( ...
					  x, nstepx, nstepy);


% diary off
