function nag_stat_prob_beta_noncentral_example

% diary nag_stat_prob_beta_noncentral_example.r
fprintf('nag_stat_prob_beta_noncentral example results\n\n');

x      = [ 0.25   0.75   0.5];
a      = [ 1      1.5    2  ];
b      = [ 2      1.5    1  ];
rlamda = [ 1      0.5    0  ];
p      = x;

fprintf('     x       a       b     rlamda    p\n');
for j = 1:numel(x)
   [p(j), ifail] = nag_stat_prob_beta_noncentral( ...
			  x(j), a(j), b(j), rlamda(j));
end

fprintf('%8.3f%8.3f%8.3f%8.3f%8.4f\n', [x; a; b; rlamda; p]);

% diary off
