function nag_stat_prob_beta_vector_example

% diary nag_stat_prob_beta_vector_example.r
fprintf('nag_stat_prob_beta_vector example results\n\n');

tail = {'L'; 'L'; 'L'};
x = [0.25; 0.75; 0.5];
a = [1.0;  1.5;  2.0];
b = [2.0;  1.5;  1.0];
% calculate probability
[p, ivalid, ifail] = nag_stat_prob_beta_vector( ...
                            tail, x, a, b);

fprintf('   x       a       b       p\n');
lx    = numel(x);
la    = numel(a);
lb    = numel(b);
ltail = numel(tail);
len   = max ([lx, la, lb, ltail]);
for i=0:len-1
  fprintf('%6.4f%8.4f%8.4f%8.4f\n', x(mod(i,lx)+1), a(mod(i,la)+1), ...
          b(mod(i,lb)+1), p(i+1));
end

% diary off
