function nag_stat_prob_chisq_noncentral_lincomb_example

% diary nag_stat_prob_chisq_noncentral_lincomb_example.r
fprintf('nag_stat_prob_chisq_noncentral_lincomb example results\n\n');

fprintf('        a     mult  rlamda\n');

% First set
a      = [        6   3  1];
mult   = [nag_int(1)  1  1];
rlamda = [        0   0  0];
c      = 20;

[p1, pdf, ifail] = nag_stat_prob_chisq_noncentral_lincomb( ...
			  a, mult, rlamda, c);

fprintf('%10.2f%6d%9.2f\n',[a; mult; rlamda]);
fprintf('c = %6.2f    prob = %6.4f\n\n', c, p1);

% Second set
a      = [        7   3];
mult   = [nag_int(1)  1];
rlamda = [        6   2];
c      = 10;

[p2, pdf, ifail] = nag_stat_prob_chisq_noncentral_lincomb( ...
			  a, mult, rlamda, c);

fprintf('%10.2f%6d%9.2f\n',[a; mult; rlamda]);
fprintf('c = %6.2f    prob = %6.4f\n', c, p2);

% diary off
