function nag_stat_prob_chisq_vector_example

% diary nag_stat_prob_chisq_vector_example.r
fprintf('nag_stat_prob_chisq_vector example results\n\n');

x = [8.26; 6.2; 55.76];
df = [20; 7.5; 45];
tail = {'L'};
% calculate probability
[prob, ivalid, ifail] = nag_stat_prob_chisq_vector( ...
                               tail, x, df);

fprintf('    x      df     prob\n');
lx    = numel(x);
ldf   = numel(df);
ltail = numel(tail);
len   = max ([lx, ldf, ltail]);
for i=0:len-1
  fprintf('%7.3f%8.3f%8.3f\n', x(mod(i,lx)+1), df(mod(i,ldf)+1), prob(i+1));
end

% diary off
