function nag_stat_prob_normal_example

% diary nag_stat_prob_normal_example.r
fprintf('nag_stat_prob_normal example results\n\n');

% Probability for Normal distribution
x     = 1.96;
tail = {'Lower'; 'Upper'; 'Confidence'; 'Significance'};

fprintf('  Tail    x      probability\n');
for j = 1:size(tail,1);

  [p, ifail] = nag_stat_prob_normal( ...
                      x,'tail',tail{j});

  fprintf('%4s%8.2f%12.4f\n',tail{j}(1),x,p);
end

% diary off
