function nag_stat_prob_poisson_vector_example

% diary nag_stat_prob_poisson_vector_example.r
fprintf('nag_stat_prob_poisson_vector example results\n\n');

rlamda = [     0.750;  9.200; 34.000; 175.000];
k      = [nag_int(3); 12;     25;     175];

[plek, pgtk, peqk, ivalid, ifail] = ...
  nag_stat_prob_poisson_vector(rlamda, k);

fprintf('    rlamda     k     plek      pgtk      peqk\n');
lrlamda = numel(rlamda);
lk      = numel(k);
len     = max ([lrlamda, lk]);
for i=0:len-1
  fprintf('%10.3f%6d%10.5f%10.5f%10.5f\n', rlamda(mod(i,lrlamda)+1), ...
          k(mod(i,lk)+1), plek(i+1), pgtk(i+1), peqk(i+1));
end

% diary off
