function nag_tsa_multi_inputmod_forecast_state_example

% diary nag_tsa_multi_inputmod_forecast_state_example.r
fprintf('nag_tsa_multi_inputmod_forecast_state example results\n\n');

% orders and transfer function
mr = [nag_int(1);0;0;0;1;1;4];
mt = [nag_int(1),0;
              0, 0;
              1, 0;
              3, 0];

% data
sttf = [  6.7160; 158.3022; -80.3352; -74.8937; -80.7694;
        -70.3022;   0.8476;  -2.0234;  -5.8080;  10.2943];
para = [0.5158; 0.9994; 8.6343; 0.6726; -0.3172];
xxyn = [6.923, 0; 6.939, 0; 6.705, 0; 6.914, 0];
mrx  = [nag_int(2),0;
                0, 0;
                2, 0;
                0, 0;
                1, 0;
                1, 0;
                4, 0];
parx = [1.6743, 0;
       -0.9505, 0;
        1.4605, 0;
       -0.4862, 0;
        0.8993, 0];
rmsxy = [0.172; 22.9256];

kzef = nag_int(1);

% Produce forecasts
[xxyn, mrx, fva, fsd, ifail] = ...
  nag_tsa_multi_inputmod_forecast_state( ...
         sttf, mr, mt, para, xxyn, mrx, parx, rmsxy, kzef);

%   Display results
fprintf('The forecast values and their standard errors\n\n');
fprintf('   i     fva       fsd\n\n');
fprintf('%4d%10.4f%10.4f\n',[[1:numel(fva)]' fva fsd]');
fprintf('\n    z(t)      n(t)\n');
disp(xxyn);

% diary off
