function nag_zeros_cubic_real_example

% diary nag_zeros_cubic_real_example.r
fprintf('nag_zeros_cubic_real example results\n\n');

% roots of cubic z^3 + 3*z^2 + 9*z - 13 = 0
u =   1;
r =   3;
s =   9;
t = -13;
[zr, zi, errest, ifail] = nag_zeros_cubic_real(u, r, s, t);

fprintf('  Roots of cubic      error estimates\n');
for j = 1:3
   if (zi(j)<0)
     fprintf('%8.4f - %7.4fi     %8.2e\n',zr(j),abs(zi(j)),errest(j));
   else
     fprintf('%8.4f - %7.4fi     %8.2e\n',zr(j),abs(zi(j)),errest(j));
   end
end

% diary off
