function s15ag_example

% diary s15ag_example.r
fprintf('s15ag example results\n\n');

x = [-30.0; -6.0; -4.5; -1.0; 1.0; 4.5; 6.0; 7.0e7];

% Catch non-zero ifails
wstat = warning();
warning('OFF');

result = zeros(8, 1);
ifail  = zeros(8, 1, nag_int_name);
for i=1:8
  [result(i), ifail(i)] = s15ag(x(i));
end
fprintf('       x       erfcx(x)    ifail\n');
for i=1:8
  fprintf('%10.2e %13.5e     %d\n', x(i), result(i), ifail(i));
end

warning(wstat);

% diary off
