function s17ad_example

% diary s17ad_example.r
fprintf('s17ad example results\n\n');

x = [0.5     1    3    6   8    10   100];
n = size(x,2);
result = x;

for j=1:n
  [result(j), ifail] = s17ad(x(j));
end

disp('      x         Y_1(x)');
fprintf('%12.3e%12.3e\n',[x; result]);

s17ad_plot;

% diary off

function s17ad_plot
x = [0.1:0.1:0.4,0.5:0.5:50];
  for j = 1:numel(x)
    [Y1(j), ifail] = s17ad(x(j));
  end

  fig1 = figure;
  plot(x,Y1,'-r');
  xlabel('x');
  ylabel('Y_1(x)');
  title('Bessel Function Y_1(x)');
  axis([0 50 -2 0.75]);

  % print(fig1,'-dpng','-r75','s17ad_fig1.png');
  % print(fig1,'-deps','-r75','s17ad_fig1.eps');
