function s18gk_example

% diary s18gk_example.r
fprintf('s18gk example results\n\n');

z =  0.6 - 0.8i;
a = 0;
nl = nag_int(3);

[b, ifail] = s18gk(z, a, nl);

fprintf('   alpha        J_alpha(%5.1f%+5.1fi)\n',real(z), imag(z));
for j=1:nl+1
  fprintf('%10.2e   %12.4e%+12.4ei\n', a+double(j-1), real(b(j)), imag(b(j)));
end

% diary off
