function s21bc_example

% diary s21bc_example.r
fprintf('s21bc example results\n\n');

x = [0.5   0.5   0.5   1    1   1.5];
y = [0.5   1.0   1.5   1    1.5   1.5];
z = [1     1     1     1    1   1];
result = x;

for j=1:numel(x)
  [result(j), ifail] = s21bc(x(j), y(j), z(j));
end

fprintf('    x      y      z      R_D(x,y,z)\n');
fprintf('%7.2f%7.2f%7.2f%12.4f\n',[x; y; z; result]);

% diary off
