function s30qc_example

% diary s30qc_example.r
fprintf('s30qc example results\n\n');

put = 'c';
s = 110.0;
sigma = 0.2;
r = 0.08;
q = 0.12;
x = [100.0];
t = [0.25];

[p, ifail] = s30qc( ...
                    put, x, s, t, sigma, r, q);


fprintf('\nAmerican Call :\n');
fprintf('  Spot       =   %9.4f\n', s);
fprintf('  Volatility =   %9.4f\n', sigma);
fprintf('  Rate       =   %9.4f\n', r);
fprintf('  Dividend   =   %9.4f\n\n', q);

fprintf('   Strike    Expiry   Option Price\n');

for i=1:1
  for j=1:1
    fprintf('%9.4f %9.4f %9.4f\n', x(i), t(j), p(i,j));
  end
end

% diary off
