function x04ad_example

% diary x04ad_example.r
fprintf('x04ad example results\n\n');

file = 'success.res';

% Associate unit number iounit=4 with filename success.res
iounit = nag_int(4);

% Open File for writing to
mode = nag_int(1);
[ifail] = x04ac(iounit, file, mode);

% write to file here via iounit using x04ba
fprintf('The file named %s was opened for writing on unit number %d\n', ...
        file,iounit);

rec = 'This file was successfully opened for writing';
x04ba(iounit,rec);
 
% Close File associated with unit number iounit=4
[ifail] = x04ad(iounit);
fprintf('Unit number %d has been closed\n\n', iounit);

% Open File for reading
mode = nag_int(0);
[ifail] = x04ac(iounit, file, mode);

% read from file here via iounit using x04bb
fprintf('The file named %s was opened for reading on unit number %d\n', ...
        file,iounit);

reclen = nag_int(50);
[rec, ifail] = x04bb(iounit, reclen);

fprintf('The following line was read from unit %d:\n----\n',iounit);
disp(rec);
fprintf('----\n');
 
% Close File associated with unit number iounit=4
[ifail] = x04ad(iounit);
fprintf('\nUnit number %d has been closed\n', iounit);

delete(file);

% diary off
