function x04da_example

% diary x04da_example.r
fprintf('x04da example results\n\n');

nmax = 4;
b = zeros(nmax,nmax);
for j = 1:nmax
  b(j,:) = [1:nmax] + 10*j;
end

a = b - i*b;

% First matrix: 4x3 general matrix
mtitle = 'Example 1:';
matrix = 'General';
diag   = ' ';

[ifail] = x04da( ...
                 matrix, diag, a(:,1:3), mtitle);

fprintf('\n');
% Second matrix : 5x5 non-unit lower triangular 
mtitle = 'Example 2:';
matrix = 'Lower';
diag   = 'Non-unit';

[ifail] = x04da( ...
                 matrix, diag, a, mtitle);

% diary off
