
% f07bp: Uses the LU factorization to compute the solution, error-bound and condition estimate for a complex banded system of linear equations
% 
% Syntax: 
% 
%   [ab, afb, ipiv, equed, r, c, b, x, rcond, ferr, berr, rwork, info] = f07bp(fact, trans, kl, ku, ab, afb, ipiv, equed, r, c, b, 'n', n, 'nrhs_p', nrhs_p)
% 
% Further documentation is available in the <a href="matlab:nag_doc f07/f07bpf.html">NAG Toolbox help files</a>.
%
