
% f08np: Computes all eigenvalues and, optionally, left and/or right eigenvectors of a complex nonsymmetric matrix; also, optionally, the balancing transformation, the reciprocal condition numbers for the eigenvalues and for the right eigenvectors
% 
% Syntax: 
% 
%   [a, w, vl, vr, ilo, ihi, scale, abnrm, rconde, rcondv, info] = f08np(balanc, jobvl, jobvr, sense, a, 'n', n)
% 
% Further documentation is available in the <a href="matlab:nag_doc f08/f08npf.html">NAG Toolbox help files</a>.
%
