
% f08yg: Reorders the generalized real Schur decomposition of a real matrix pair using an orthogonal equivalence transformation, computes the generalized eigenvalues of the reordered pair and, optionally, computes the estimates of reciprocal condition numbers for eigenvalues and eigenspaces
% 
% Syntax: 
% 
%   [a, b, alphar, alphai, beta, q, z, m, pl, pr, dif, info] = f08yg(ijob, wantq, wantz, select, a, b, q, z, 'n', n)
% 
% Further documentation is available in the <a href="matlab:nag_doc f08/f08ygf.html">NAG Toolbox help files</a>.
%
