
% nag_lapack_ztgsen: Reorders the generalized Schur decomposition of a complex matrix pair using an unitary equivalence transformation, computes the generalized eigenvalues of the reordered pair and, optionally, computes the estimates of reciprocal condition numbers for eigenvalues and eigenspaces
% 
% Syntax: 
% 
%   [a, b, alpha, beta, q, z, m, pl, pr, dif, info] = nag_lapack_ztgsen(ijob, wantq, wantz, select, a, b, q, z, 'n', n)
% 
% Further documentation is available in the <a href="matlab:nag_doc f08/f08yuf.html">NAG Toolbox help files</a>.
%
