function c02am_example

% diary c02am_example.r
fprintf('c02am example results\n\n');

u = complex(1);
r =   -2 +  3i;
s =    5 + 14i;
t =  -40 -  5i;
[zr, zi, errest, ifail] = c02am(u, r, s, t);

fprintf('  Roots of cubic      error estimates\n');
for j = 1:3
   if (zi(j)<0)
     fprintf('%8.4f - %7.4fi     %8.2e\n',zr(j),abs(zi(j)),errest(j));
   else
     fprintf('%8.4f - %7.4fi     %8.2e\n',zr(j),abs(zi(j)),errest(j));
   end
end

% diary off
