function d01am_example

% diary d01am_example.r
fprintf('d01am example results\n\n');

bound = 0;
inf = nag_int(1);
epsabs = 0;
epsrel = 1.0e-4;
f = @(x) 1/(x+1)/sqrt(x);

[result, abserr, w, iw, ifail] = ...
  d01am( ...
	 f, bound, inf, epsabs, epsrel);

fprintf('Result = %13.4f,  Standard error = %10.2e\n', result, abserr);

% diary off
