function d01fb_example

% diary d01fb_example.r
fprintf('d01fb example results\n\n');

nptvec = [nag_int(4), 4, 4, 4];
a      = [1, 0, 0  , 1];
b      = [2, 2, 0.5, 2];
key    = [nag_int(0), -3, -4, -5];
j      = 1;
for i = 1:4
  [wgt, absc, ifail] = d01tb(key(i), a(i), b(i), nptvec(i));
  weight(j:j+nptvec(i)-1) = wgt;
  abscis(j:j+nptvec(i)-1) = absc;
  j = j + nptvec(i);
end

[result, ifail] = d01fb( ...
			 nptvec, weight, abscis, @fun);

fprintf('Result = %13.5f\n', result);

% diary off

function result = fun(ndim,x)
  result = ((x(1)*x(2)*x(3))^6/(x(4)+2)^8)*exp(-2*x(2)-x(3)^2/2);
