function d01fc_example

% diary d01fc_example.r
fprintf('d01fc example results\n\n');

a = zeros(4,1);
b = ones(4,1);
minpts  = nag_int(0);
maxpts  = nag_int(8000);
epsilon = 0.0001;

[minpts, acc, finval, ifail] = d01fc(...
                                     a, b, minpts, maxpts, @functn, epsilon);

fprintf('Requested accuracy = %10.2e\n', epsilon);
fprintf('Estimated value    = %8.4f\n',finval);
fprintf('Estimated accuracy = %9.1e\n',acc);

% diary off

function result = functn(ndim,z)
  result = 4*z(1)*z(3)*z(3)*exp(2*z(1)*z(3))/(1+z(2)+z(4))^2;
