function d02uw_example

% diary d02uw_example.r
fprintf('d02uw example results\n\n');

n   = nag_int(64);
a = -1;
b =  1;

% Set up Chebyshev grid
[x, ifail] = d02uc(n, a, b);

% Set up function on grid
f = x + cos(5*x);

% Interpolate onto smaller equally spaced grid
nip = nag_int(17);
[xip, fip, ifail] = d02uw(n, nip, x, f);

% Display interpolated values
fprintf('\nInterpolated function values\n');
fprintf('      x          F\n');
fprintf('%10.4f %10.4f \n', [xip fip]');

% diary off
