function e02af_example

% diary e02af_example.r
fprintf('e02af example results\n\n');

x = -cos([0:10]*pi/10);
f = exp(-x);

[a, ifail] = e02af(f);

disp('Chebyshev coefficients:');
fprintf('%11.7f\n',a);

for i=1:11
  [p(i), ifail] = e02ae(a, -x(i));
end
fprintf('\n');
disp('      x        p(x)');
disp([x' p']);

% diary off
