function e02za_example

% diary e02za_example.r
fprintf('e02za example results\n\n');

xknots = [1];       kx = size(xknots,2);
yknots = [0.8 1.2]; ky = size(yknots,2);

lamda = zeros(kx+8,1);
mu    = zeros(ky+8,1);
lamda(5:kx+4) = xknots;
mu(5:ky+4)    = yknots;

x = [0.00  0.70  1.44  0.21  1.01  1.84  0.71  1.00  0.54  1.53];
y = [0.77  1.06  0.33  0.44  0.50  0.02  1.95  1.20  0.04  0.18];
m = size(x,2);

[point, ifail] = e02za(lamda, mu, x, y);

% Output points in panel order

for i = 1:(kx+1)*(ky+1)
  fprintf('\nPanel %4d\n', i);
  ip = m + i;

  while ip>0
    ip = point(ip);
    if (ip>0)
      fprintf('%7.2f%7.2f\n',x(ip), y(ip));
    end
  end
end

% diary off
