function f01em_example

% diary f01em_example.r
fprintf('f01em example results\n\n');

a =  [1,  0, -2,  1;
     -1,  2,  0,  1;
      2,  0,  1,  0;
      1,  0, -1,  2];

% Compute f(a)
[exp2a, user, iflag, imnorm, ifail] = ...
  f01em(a, @f);

disp('f(A) = exp(2A)');
disp(exp2a);

fprintf('Imnorm = %6.2f\n',imnorm);

% diary off

function [iflag, fz, user] = f(m, iflag, nz, z, user)
  fz = double(2^m)*exp(2*z);
