function f01kj_example

% diary f01kj_example.r
fprintf('f01kj example results\n\n');

% Logarithm and conditioning of matrix A 
a =  [3+2i,  1,  1,     1+2i;
      0+2i, -4,  0,     0;
      1,    -2,  3+2i,  0+i;
      1,     i,  1,     2+3i];

% Compute log(a)
[loga, condla, ifail] = f01kj(a);

% Display results
disp('Log(A):');
disp(loga);

fprintf('Estimated condition number is: %6.2f\n', condla);

% diary off
