function f01zd_example

% diary f01zd_example.r
fprintf('f01zd example results\n\n');

job = 'Pack';
kl = nag_int(1);
ku = nag_int(1);
a = [ 1.1 - 1.1i,  1.2 - 1.2i,  0   + 0i,    0   + 0i,    0   + 0i;
      2.1 - 2.1i,  2.2 - 2.2i,  2.3 - 2.3i,  0   + 0i,    0   + 0i;
      0   + 0i,    3.2 - 3.2i,  3.3 - 3.3i,  3.4 - 3.4i,  0   + 0i;
      0   + 0i,    0   + 0i,    4.3 - 4.3i,  4.4 - 4.4i,  4.5 - 4.5i;
      0   + 0i,    0   + 0i,    0   + 0i,    5.4 - 5.4i,  5.5 - 5.5i];
n = size(a,1);
b = complex(zeros(kl+ku+1,n));

[A, ab, ifail] = f01zd(job, kl, ku, a, b);

matrix = 'General';
diag = ' ';
title1 = 'Unpacked Matrix A:';
[ifail] = x04da(matrix, diag, A, title1);
fprintf('\n');
title1 = 'Packed Matrix AB:';
[ifail] = x04da(matrix, diag, ab, title1);

% diary off
