function f07ag_example

% diary f07ag_example.r
fprintf('f07ag example results\n\n');

a = [ 1.80,  2.88,  2.05, -0.89;
      5.25, -2.95, -0.95, -3.80;
      1.58, -2.69, -2.90, -1.04;
     -1.11, -0.66, -0.59,  0.80];

anorm = norm(a, 1);

% Factorize A
[a, ipiv, info] = f07ad(a);

% Estimate condition number
norm_p = '1';
[rcond, info] = f07ag(norm_p, a, anorm);

if rcond > x02aj
  fprintf('Estimate of condition number = %10.2e\n', 1/rcond);
else
  fprintf('A is singular to working precision\n');
end

% diary off
