function f07bd_example

% diary f07bd_example.r
fprintf('f07bd example results\n\n');

m  = nag_int(4);
kl = nag_int(1);
ku = nag_int(2);
ab = [ 0,    0,     0,     0;
       0,    0,    -3.66, -2.13;
       0,    2.54, -2.73,  4.07;
      -0.23, 2.46,  2.46, -3.82;
      -6.98, 2.56, -4.78,  0];

[abf, ipiv, info] = f07bd( ...
                           m, kl, ku, ab);

mtitle = 'Details of factorization';
[ifail] = x04ce( ...
                 m, m, kl, kl+ku, abf, mtitle);
fprintf('\n');
disp('Pivot indices');
disp(double(ipiv'));

% diary off
