function f07fa_example

% diary f07fa_example.r
fprintf('f07fa example results\n\n');

% Upper triangular part of symmetric matrix A
uplo = 'Upper';
a = [4.16, -3.12,  0.56, -0.10;
     0,     5.03, -0.83,  1.18;
     0,     0,     0.76,  0.34;
     0,     0,     0,     1.18];

% RHS
b = [8.7; -13.35;  1.89; -4.14];

% Solve Ax = b
  [af, x, info] = f07fa( ...
                         uplo, a, b);

disp('Solution');
disp(x');

[ifail] = x04ca( ...
                 uplo, 'Non-unit', af, 'Cholesky factor');

% diary off
