function f07ff_example

% diary f07ff_example.r
fprintf('f07ff example results\n\n');

% Upper triangular part of symmetric matrix A
a = [ 4.16      -3.12e+05   0.56      -0.10    ;
      0          5.03e+10  -8.30e+04   1.18e+05;
      0          0          0.76       0.34    ;
      0          0          0          1.18    ];

% Scale A
[s, scond, amax, info] = f07ff(a);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Scaled matrix
as = diag(s)*a*diag(s);

[ifail] = x04ca( ...
                 'Upper', 'Non-unit', as, 'Scaled matrix');

% diary off
