function f07ft_example

% diary f07ft_example.r
fprintf('f07ft example results\n\n');

a = [3.23 + 0i    1.51 - 1.92i  1.90e+05 + 8.40e+04i   0.42     + 2.50i;
     0    + 0i    3.58 + 0i    -2.30e+04 + 1.11e+05i  -1.18     + 1.37i;
     0    + 0i    0    + 0i     4.09e+10 + 0i          2.33e+05 - 1.40e+04i;
     0    + 0i    0    + 0i     0        + 0i          4.29     + 0i];

% Scale A
[s, scond, amax, info] = f07ft(a);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Scaled matrix
as = diag(s)*a*diag(s);

[ifail] = x04da( ...
                 'Upper', 'Non-unit', as, 'Scaled matrix');

% diary off
