function f07gj_example

% diary f07gj_example.r
fprintf('f07gj example results\n\n');

% Symmetric matrix A, lower triangular part packed in ap
uplo = 'L';
n = nag_int(4);
ap = [4.16 -3.12  0.56 -0.10 ...
            5.03 -0.83  1.18 ...
                  0.76  0.34 ...
                        1.18];

[L, info] = f07gd( ...
                   uplo, n, ap);

[ainv, info] = f07gj( ...
                      uplo, n, L);

[ifail] = x04cc( ...
                 uplo, 'N', n, ainv, 'Inverse');

% diary off
