function f07js_example

% diary f07js_example.r
fprintf('f07js example results\n\n');

% Hermitian tridiagonal A stored as two diagonals
d = [ 16            41          46            21];
e = [ 16 + 16i      18 - 9i      1 - 4i         ];

% Factorize
[df, ef, info] = f07jr( ...
                        d, e);

% RHS
b = [ 64 + 16i,  -16 - 32i;
      93 + 62i,   61 - 66i;
      78 - 80i,   71 - 74i;
      14 - 27i,   35 + 15i];

% Solve
uplo = 'L';
[x, info] = f07js( ...
                   uplo, df, ef, b);

disp('Solution(s)');
disp(x);

% diary off
