function f07mj_example

% diary f07mj_example.r
fprintf('f07mj example results\n\n');

% Indefinite matrix A (lower triangular part stored)
uplo = 'L';
a = [ 2.07,  0,    0,     0; 
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% Factorize
[af, ipiv, info] = f07md( ...
                          uplo, a);

% Invert
[ainv, info] = f07mj( ...
                      uplo, af, ipiv);

[ifail] = x04ca( ...
                 uplo, 'N', ainv, 'Inverse');

% diary off
