function f07pa_example

% diary f07pa_example.r
fprintf('f07pa example results\n\n');

% Indefinite matrix A, Upper triangle stored in packed form
uplo = 'Upper';
n = nag_int(4);
ap = [-1.81  ...
      2.06  1.15   ...
      0.63  1.87  -0.21   ...
     -1.15  4.20   3.87   2.07];

% RHS
b = [0.96;
     6.07;
     8.38;
     9.50];

[apf, ipiv, x, info] = f07pa( ...
                              uplo, ap, b);

disp('Solution');
disp(x');

[ifail] = x04cc( ...
                 uplo, 'Non-unit', n, apf, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
