function f07qr_example

% diary f07qr_example.r
fprintf('f07qr example results\n\n');

% complex symmetric matrix, upper triangle stored in packed format
uplo = 'U';
n    = nag_int(4);
ap = [-0.56 + 0.12i;
      -1.54 - 2.86i; -2.83 - 0.03i;
       5.32 - 1.59i; -3.52 + 0.58i;  8.86 + 1.81i;
       3.80 + 0.92i; -7.86 - 2.96i;  5.14 - 0.64i; -0.39 - 0.71i];

[apf, ipiv, info] = f07qr( ...
                           uplo, n, ap);

[ifail] = x04dc( ...
                 uplo, 'Non-unit', n, apf, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
