function f07tu_example

% diary f07tu_example.r
fprintf('f07tu example results\n\n');

% Estimate condition number of A, where A is Lower triangular
a = [  4.78 +  4.56i,   0    +  0i,     0    + 0i,    0    + 0i;
       2.00 -  0.30i,  -4.11 +  1.25i,  0    + 0i,    0    + 0i;
       2.89 -  1.34i,   2.36 -  4.25i,  4.15 + 0.8i,  0    + 0i;
      -1.89 +  1.15i,   0.04 -  3.69i, -0.02 + 0.46i, 0.33 - 0.26i];


% Get reciprocal condition number
norm_p = '1';
uplo = 'L';
diag = 'N';
[rcond, info] = f07tu( ...
                       norm_p, uplo, diag, a);

fprintf('Estimate of condition number = %9.2e\n', 1/rcond);

% diary off
