function f07uw_example

% diary f07uw_example.r
fprintf('f07uw example results\n\n');

% Invert A, where A is Complex Lower triangular and packed.
n = nag_int(4);
ap = [ 4.78 + 4.56i;  2.00 - 0.30i;  2.89 - 1.34i; -1.89 + 1.15i;
                     -4.11 + 1.25i;  2.36 - 4.25i;  0.04 - 3.69i;
                                     4.15 + 0.80i; -0.02 + 0.46i;
                                                    0.33 - 0.26i];

% Invert
uplo = 'L';
diag = 'N';
[ainv, info] = f07uw(uplo, diag, n, ap);

[ifail] = x04dc( ...
                 uplo, 'Non-unit', n, ainv, 'Inverse');

% diary off
