function f07we_example

% diary f07we_example.r
fprintf('f07we example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
ar = [ 0.76   0.34; 
       4.16   1.18;
      -3.12   5.03;
       0.56  -0.83;
      -0.10   1.18];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% RHS
b = [  8.70,  8.30;
     -13.35,  2.13;
       1.89,  1.61;
      -4.14,  5.00];

% Factorize a
[ar, info] = f07wd(transr, uplo, n, ar);

if info == 0
  % Compute solution
  [b, info] = f07we(transr, uplo, ar, b);
  fprintf('\n');
  [ifail] = x04ca('g', ' ', b, 'Solutions');
else
  fprintf('\na is not positive definite.\n');
end

% diary off
