function f07wk_example

% diary f07wk_example.r
fprintf('f07wk example results\n\n');

% Symmetric matrix in RFP format
transr = 'n';
uplo   = 'l';
diag   = 'n';
ar = [-8.02  -5.95;
       4.30   0.12;
      -3.96  -4.87;
       0.40   0.31;
      -0.27   0.07];
n  = nag_int(4);
n2 = (n*(n+1))/2;
ar  = reshape(ar,[n2,1]);

% Compute inverse of a
[ar, info] = f07wk( ...
                    transr, uplo, diag, n, ar);

if info == 0
  % Convert inverse to full array form, and print it
  [a, info] = f01vg(transr, uplo, n, ar);
  fprintf('\n');
  [ifail] = x04ca(uplo, 'n', a, 'Inverse');
else
  fprintf('\na is singular.\n');
end

% diary off
