function f08ff_example

% diary f08ff_example.r
fprintf('f08ff example results\n\n');

uplo = 'L';
a = [ 2.07,  0,    0,     0;
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% Reduce to tridiagonal form
[t, d, e, tau, info] = f08fe( ...
			      uplo, a);

% Form Q
[q, info] = f08ff( ...
		   uplo, t, tau);

% Compute eigenvalues and eigenvectors
[w, e, z, info] = f08je( ...
			 'V', d, e, 'z', q);

disp('Eigenvalues');
disp(w');
disp('Eigenvectors');
disp(z);

% diary off
