function f08gn_example

% diary f08gn_example.r
fprintf('f08gn example results\n\n');

% A is Hermitian matrix stored in symmetric (Upper) packed format
uplo = 'U';
n = nag_int(4);
ap = [1 + 0i;
      2 - 1i;      2 + 0i;
      3 - 1i;      3 - 2i;      3 + 0i;
      4 - 1i;      4 - 2i;      4 - 3i;      4 + 0i];

% Eigenvalues of A only
jobz = 'No vectors';
[apf, w, ~, info] = f08gn( ...
                           jobz, uplo, n, ap);


disp('Eigenvalues');
disp(w');

% Eigenvalue error bound
errbnd = x02aj*max(abs(w(1)),abs(w(end)));
disp('Error estimate for the eigenvalues');
fprintf('%11.1e\n',errbnd);

% diary off
