function f08pn_example

% diary f08pn_example.r
fprintf('f08pn example results\n\n');

% Complex matrix A
a = [-3.97 - 5.04i, -4.11 + 3.70i, -0.34 + 1.01i,  1.29 - 0.86i;
      0.34 - 1.50i,  1.52 - 0.43i,  1.88 - 5.38i,  3.36 + 0.65i;
      3.31 - 3.85i,  2.50 + 3.45i,  0.88 - 1.08i,  0.64 - 1.48i;
     -1.10 + 0.82i,  1.81 - 1.59i,  3.25 + 1.33i,  1.57 - 3.44i];

% Schur vectors of A, selecting all eigenvalues
jobvs = 'Vectors (Schur)';
sortp = 'No sort';
[~, sdim, w, ~, info] = f08pn( ...
                               jobvs, sortp, @select, a);

disp('Eigenvalues');
disp(w);

% diary off
