function f08qf_example

% diary f08qf_example.r
fprintf('f08qf example results\n\n');

% Block triangular matrix T from Schur factorization
t = [0.8, -0.11,  0.01,  0.03;
     0,   -0.11,  0.25,  0.35;
     0,   -0.65, -0.10,  0.20;
     0,    0,     0,    -0.10];

% Reorder T to move 2-by-2 block with index 2 to row 1
compq = 'No update';
q = [0];
ifst = nag_int(2);
ilst = nag_int(1);
[t, q, ifst, ilst, info] = f08qf( ...
				  compq, t, q, ifst, ilst);

disp('Reordered Schur Form');
disp(t);

% diary off
