function f08qt_example

% diary f08qt_example.r
fprintf('f08qt example results\n\n');

% Matrix T in real Schur form
t = [-6 - 7i,  0.36 - 0.36i, -0.19 + 0.48i,  0.88 - 0.25i;
      0 + 0i, -5    + 2i,    -0.03 - 0.72i, -0.23 + 0.13i;
      0 + 0i,  0    + 0i,     8    - 1i,     0.94 + 0.53i;
      0 + 0i,  0    + 0i,     0    + 0i,     3    - 4i];

% Reorder Schure form so that the first diagonal element is moved to the last
compq = 'No update';
q    = [complex(0)];
ifst = nag_int(1);
ilst = nag_int(4);
[t, q, info] = f08qt( ...
		      compq, t, q, ifst, ilst);

mtitle = 'Reordered Schur Form';
ncols  = nag_int(80);
indent = nag_int(0);

[ifail] = x04db( ...
                 'Gen', ' ', t, 'Brac', 'F7.4', mtitle, ...
                 'Int', 'Int', ncols, indent);

% diary off
