function f11xe_example

% diary f11xe_example.r
fprintf('f11xe example results\n\n');

% Sparse Matrix vector Product y=Ax, A is 9x9 symmetric. 

a     = [        4 -1 6 1 2 3 2 4 1 2 6 -4 1 -1 6 -1 -1 3 1 1 -1 1 4];
irow  = [nag_int(1) 2 2 3 3 4 5 5 6 6 6  7 7  7 7  8  8 8 9 9  9 9 9];
icol  = [nag_int(1) 1 2 2 3 4 1 5 3 4 6  2 5  6 7  4  6 8 1 5  6 8 9];

x     = [0.70  0.16  0.52  0.77  0.28  0.21  0.93  0.20  0.90];

check = 'C';
[y, ifail] = f11xe( ...
                    a, irow, icol, check, x);

disp('Matrix-vector product');
disp(y);

% diary off
