function g01ar_example

% diary g01ar_example.r
fprintf('g01ar example results\n\n');

y = [31;  1;   2;   3;    4;     5;     6;     7;     8;    -9;
          1;   2;   3;    4;     5;     6;     7;     8;
               2;   3;    4;     5;     6;     7;
                    3;    4;     5;     6;
                          4;     5];
nstepx = nag_int(72);
nstepy = nag_int(20);

[unit, lines, ifail, plot, sorty] = ...
  g01ar( ...
	 y, nstepx, nstepy, 'range', 'Fences');

[unit, lines, ifail, plot, sorty] = ...
  g01ar( ...
	 y, nstepx, nstepy, 'range', 'Extremes', 'prt', 'Noprint');

fprintf('\n');
for i = 1:lines
  fprintf('%s\n', char(plot(i,1:nstepx)));
end

% diary off
