function g01ec_example

% diary g01ec_example.r
fprintf('g01ec example results\n\n');

% Lower tail probabilities for Chi^2 distribution
x  = [ 8.26; 6.2; 55.76];
df = [20.00; 7.5; 45.00];
tail = {'Lower'; 'Lower'; 'Lower';};

fprintf('  Tail    x      df    probability\n');
for j = 1:numel(x);

  [p, ifail] = g01ec( ...
                      x(j), df(j), 'tail', tail{j});

  fprintf('%4s%8.3f%8.1f%12.4f\n',tail{j}(1), x(j), df(j), p);
end

% diary off
