function g01ee_example

% diary g01ee_example.r
fprintf('g01ee example results\n\n');

% Lower and upper tail probabilities for Beta distribution
x = [0.25; 0.75; 0.50];
a = [1.00; 1.50; 2.00];
b = [2.00; 1.50; 1.00];

fprintf('    x       a       b       p       q       pdf\n');
for j = 1:numel(x)

  [p, q, pdf, ifail] = g01ee( ...
                              x(j), a(j), b(j));

 fprintf('%8.4f', x(j), a(j), b(j), p, q, pdf);
 fprintf('\n')
end

% diary off
