function g02bd_example

% diary g02bd_example.r
fprintf('g02bd example results\n\n');

x = [ 2,  3, 3;
      4,  6, 4;
      9,  9, 0;
      0, 12, 2;
     12, -1, 5];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

[xbar, std, sspz, rz, ifail] = ...
  g02bd(x);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[[1:m]' xbar std]');
fprintf('\nSums of squares and cross-products about zero\n');
disp(sspz)
fprintf('Correlation-like coefficients\n');
disp(rz);

% diary off
