function g02bg_example

% diary g02bg_example.r
fprintf('g02bg example results\n\n');

x = [ 3,  3,  1,  2;
      6,  4, -1,  4;
      9,  0,  5,  9;
     12,  2,  0,  0;
     -1,  5,  4, 12];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

kvar = [nag_int(4); 1; 2];
nvar = size(kvar,1);

[xbar, std, ssp, r, ifail] = g02bg( ...
                                    x, kvar);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[double(kvar) xbar(1:nvar) std(1:nvar)]');
fprintf('\nSums of squares and cross-products of deviations\n');
disp(ssp(1:nvar,1:nvar))
fprintf('Correlation coefficients\n');
disp(r(1:nvar,1:nvar));

% diary off
