function g02br_example

% diary g02br_example.r
fprintf('g02br example results\n\n');

x = [1.7,  1, 0.5;
     2.8,  4, 3.0;
     0.6,  6, 2.5;
     1.8,  9, 6.0;
     0.99, 4, 2.5;
     1.4,  2, 5.5;
     1.8,  9, 7.5;
     2.5,  7, 0.0;
     0.99, 5, 3.0];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);
miss  = [nag_int(1); 0; 1];
xmiss = [0.99;       0; 0];
itype = nag_int(0);

[rr, ncases, incase, ifail] = ...
  g02br( ...
         x, miss, xmiss, itype);

fprintf('Matrix of rank correlation coefficients:\n');
fprintf('Upper triangle -- Spearman''s\n');
fprintf('Lower triangle -- Kendall''s tau\n\n');
disp(rr);
fprintf('Number of cases actually used  = %d\n', ncases);

% diary off
