function g05kg_example

% diary g05kg_example.r
fprintf('g05kg example results\n\n');

% genid and subid identify the base generator
genid = nag_int(1);
subid =  nag_int(1);

% Initialize the generator to an unrepeatable sequence
[state, ifail] = g05kg(genid, subid);

% The number of pseudorandom numbers to be generated
n = nag_int(5);

% Generate the variates
[state, x, ifail] = g05sa( ...
                           n, state);

% Display variates
disp(x);

% diary off
