function g05sh_example

% diary g05sh_example.r
fprintf('g05sh example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
df1 = nag_int(2);
df2 = nag_int(3);

% Generate variates from an F-distribution
[state, x, ifail] = g05sh( ...
                           n, df1, df2, state);

disp('Variates');
disp(x);

% diary off
