function g05sk_example

% diary g05sk_example.r
fprintf('g05sk example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
xmu = 1;
var = 1.5;

% Generate variates from a Normal distribution
[state, x, ifail] = g05sk( ...
                           n, xmu, var, state);

disp('Variates');
disp(x);

% diary off
