function g05th_example

% diary g05th_example.r
fprintf('g05th example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(20);

% Parameters
m = nag_int(60);
p = 0.999;

% Generate variates from a negative binomial distribution 
% without reference vector
mode = nag_int(3);
r    = [0];
[r, state, x, ifail] = g05th( ...
                              mode, n, m, p, r, state);

disp('Variates');
disp(double(x));

% diary off
