function g05tj_example

% diary g05tj_example.r
fprintf('g05tj example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = g05kf( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(10);

% Parameters
lambda = 20;

% Generate variates from a Poisson distribution
mode = nag_int(2);
r = zeros(120, 1);
[r, state, x, ifail] = g05tj( ...
                              mode, n, lambda, r, state);

disp('Variates');
disp(double(x));

% diary off
