function g08ae_example

% diary g08ae_example.r
fprintf('g08ae example results\n\n');

x = [1, 2, 1, 1, 3, 2, 3, 1, 3, 3, 2, 2, 3, 2, 2.5, 3, 3, 2;
     3, 3, 3, 2, 1, 3, 2, 3, 1, 1, 3, 3, 2, 3, 2.5, 2, 2, 3;
     2, 1, 2, 3, 2, 1, 1, 2, 2, 2, 1, 1, 1, 1, 1,   1, 1, 1];

fprintf('Friedman test\n\n');
mtitle = 'Data values';
matrix = 'General';
diag   = ' ';
[ifail] = x04ca( ...
                 matrix, diag, x, mtitle);

[fr, p, ifail] = g08ae(x);

fprintf('\nTest statistic       %6.3f\n', fr);
fprintf('Degrees of freedom   %6d\n', size(x,1)-1);
fprintf('Significance         %6.3f\n', p);

% diary off
