function g08al_example

% diary g08al_example.r
fprintf('g08al example results\n\n');

x = [1, 1, 1;
     1, 1, 1;
     0, 1, 0;
     1, 1, 0;
     0, 0, 0;
     1, 1, 1;
     1, 1, 1;
     1, 1, 0;
     0, 0, 1;
     0, 1, 0;
     1, 1, 1;
     1, 1, 1];

[ifail] = x04ca( ...
                 'General', 'Non-unit', x, 'Data matrix');

fprintf('\n');

[q, prob, ifail] = g08al(x);

fprintf('Cochrans Q test statistic = %10.4f\n', q);
fprintf('Degrees of freedom        = %5d\n', size(x,2)-1);
fprintf('Upper-tail probability    = %10.4f\n', prob);

% diary off
