function m01df_example

% diary m01df_example.r
fprintf('m01df example results\n\n');

im = [nag_int(6),5,4;
               5,2,1;
               2,4,9;
               4,9,6;
               4,9,5;
               4,1,2;
               3,4,1;
               2,4,6;
               1,6,4;
               9,3,2;
               6,2,5;
               4,9,6];

m1 = nag_int(1);
n1 = nag_int(1);
order = 'Descending';

[irank, ifail] = m01df( ...
                        im, m1, n1, order);

fprintf('      Data          Ranks\n\n');
for i = 1:size(im,1)
  fprintf('%5d',im(i,:));
  fprintf('    %7d\n',irank(i));
end

% diary off
