function m01dz_example

% diary m01dz_example.r
fprintf('m01dz example results\n\n');

global iv rv;

iv = [nag_int(2), 1, -1, 0, 2, -2, 0, 1, 1, -1, 1, 2];
rv = [        3,  4,  6, 5, 2,  7, 4, 3, 5,  2, 0, 1];

m1 = nag_int(1);
m2 = nag_int(12);
[irank, ifail] = m01dz(@compar, m1, m2);

[irank, ifail] = m01za(irank, m1);

fprintf('Data in sorted order\n\n');
for i = m1:m2
  fprintf('%7d%7.1f\n',iv(irank(i)),rv(irank(i)));
end

% diary off

function [result] = compar(i,j)

  global iv rv;

  if (iv(i) ~= iv(j))
    result = iv(i) > iv(j);
  elseif (iv(i) < 0)
    result = rv(i) < rv(j);
  elseif (iv(i) > 0)
    result = rv(i) > rv(j);
  else
    result = i<j;
  end
