function nag_complex_divide_example

% diary nag_complex_divide_example.r
fprintf('nag_complex_divide example results\n\n');

xr = -1.7;
xi = 2.6;
yr = -3.1;
yi = -0.9;
x = xr+i*xi;
y = yr+i*yi;

[zr, zi] = nag_complex_divide(xr, xi, yr, yi);

z = zr+i*zi;

fprintf('The value of x/y, where\n');
fprintf('    x = ');
disp(x);
fprintf('and y = ');
disp(y);
fprintf('     is ');
disp(z);

% diary off
