function nag_correg_coeffs_zero_subset_example

% diary nag_correg_coeffs_zero_subset_example.r
fprintf('nag_correg_coeffs_zero_subset example results\n\n');

x = [ 3,  3,  1,  2;
      6,  4, -1,  4;
      9,  0,  5,  9;
     12,  2,  0,  0;
     -1,  5,  4, 12];
[n,m] = size(x);
fprintf('Number of variables (columns) = %d\n', m);
fprintf('Number of cases     (rows)    = %d\n\n', n);
disp('Data matrix is:-');
disp(x);

kvar = [nag_int(4);1;2];
nvar = size(kvar,1);

[xbar, std, sspz, rz, ifail] = nag_correg_coeffs_zero_subset( ...
                                      x, kvar);

fprintf('Variable   Mean     St. dev.\n');
fprintf('%5d%11.4f%11.4f\n',[double(kvar) xbar(1:nvar) std(1:nvar)]');
fprintf('\nSums of squares and cross-products about zero\n');
disp(sspz)
fprintf('Correlation-like coefficients\n');
disp(rz);

% diary off
