function nag_correg_corrmat_nearest_example

% diary nag_correg_corrmat_nearest_example.r
fprintf('nag_correg_corrmat_nearest example results\n\n');

g = [ 2, -1,  0,  0;
     -1,  2, -1,  0;
      0, -1,  2, -1;
      0,  0, -1,  2];

[g, x, iter, feval, nrmgrd, ifail] = ...
  nag_correg_corrmat_nearest(g);

fprintf('\n     Nearest Correlation Matrix\n');
disp(x);
fprintf('\n Number of Newton steps taken:   %d\n', iter);
fprintf(' Number of function evaluations: %d\n', feval);
if (nrmgrd > 4*nag_machine_precision)
  fprintf(' Norm of gradient of last Newton step: %6.4f\n', nrmgrd);
end

% diary off
