function nag_correg_optget_example

% diary nag_correg_optget_example.r
fprintf('nag_correg_optget example results\n\n');

iopts = zeros(100, 1, nag_int_name);
opts = zeros(100, 1);
% Initialize the optional argument array
[iopts, opts, ifail] = nag_correg_optset( ...
                              'Initialize = nag_correg_quantile_linreg', iopts, opts);

% Retrieve default values of some optional arguments
disp('Default optional values for selected options are:');
stropts = {'Iteration Limit', 'Epsilon', 'Return Residuals'};
formd = '%-30s : %8d\n';
formr = '%-30s : %8.2e\n';
forms = '%-30s : %8s\n';
for j = 1:3
  [ivalue, rvalue, cvalue, optype, ifail] = ...
  nag_correg_optget( ...
         stropts{j}, iopts, opts);
  if optype==1
     fprintf(formd,stropts{j},ivalue);
  elseif optype==2 
     fprintf(formr,stropts{j},rvalue);
  else
     fprintf(forms,stropts{j},cvalue);
  end
end

% diary off
