function nag_det_complex_gen_example

% diary nag_det_complex_gen_example.r
fprintf('nag_det_complex_gen example results\n\n');

a = [1,   1+2i, 2+10i;
     1+i, 3i,  -5+14i;
     1+i, 5i,  -8+20i];
% LU factorisation of a
[a, ipiv, info] = nag_lapack_zgetrf(a);

fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen('g', 'n', a, 'Array a after factorization');

fprintf('\nPivots:\n');
fprintf(' %d', ipiv);
fprintf('\n\n');

[d, id, ifail] = nag_det_complex_gen(a, ipiv);

fprintf('\nd = %13.5f id = (%d, %d)\n', d, id);
fprintf('Value of determinant = (%13.5e, %13.5e)\n', ...
        real(d)*2^id(1),imag(d)*2^id(2));

% diary off
