function nag_det_real_sym_example

% diary nag_det_real_sym_example.r
fprintf('nag_det_real_sym example results\n\n');

a = [6,   7,   6,   5;
     7,  11,   8,   7;
     6,   8,  11,   9;
     5,   7,   9,  11];
% Factorize a
[a, info] = nag_lapack_dpotrf('l', a);

fprintf('\n');
[ifail] = nag_file_print_matrix_real_gen('l', 'n', a, 'Array a after factorization');

[d, id, ifail] = nag_det_real_sym(a);

fprintf('\nd = %13.5f id = %d\n', d, id);
fprintf('Value of determinant = %13.5e\n', d*2^id);

% diary off
