function nag_dot_real_prec_example

% diary nag_dot_real_prec_example.r
fprintf('nag_dot_real_prec example results\n\n');

% Evaluate d = c + a(:,2).b, where
a = [ -2   -3        7;
       2   -5        3;
      -9    1e-19    0];
b = [ 8;
     -4;
     -2];
n = nag_int(size(a,2));

% c = 1 (in basic precision) + 1e-19 (extra precision)
c1 = 1;
c2 = 1e-20;

% elements are stored contiguously in a and b
istepa = nag_int(1);
istepb = istepa;

% Calculate dodt-product in extended precision
sw = true;

[d1, d2, ifail] = nag_dot_real_prec( ...
                         a(:,2), b, n, istepa, istepb, c1, c2, sw);

fprintf('Accumulated dot-product = %20.15e + %10.2e\n',d1,d2);

% diary off
