function nag_info_impl_details_separate_example

% diary nag_info_impl_details_separate_example.r
fprintf('nag_info_impl_details_separate example results\n\n');

[impl, prec, pcode, mkmaj, mkmin, hdware, opsys, fcomp, vend, licval] = nag_info_impl_details_separate;
fprintf(' *** Start of NAG Toolbox for MATLAB implementation details ***\n\n');
fprintf(' Implementation title: %s\n', impl);
fprintf('            Precision: %s\n', prec);
fprintf('         Product Code: %s\n', pcode);
fprintf('                 Mark: %d.%d\n', mkmaj, mkmin);
if strcmp(vend, '(self-contained)')
  fprintf('       Vendor Library: None\n');
else
  fprintf('       Vendor Library: %s\n', vend);
end
fprintf(' Applicable to:\n');
fprintf('     hardware - %s\n', hdware);
fprintf('     op. sys. - %s\n', opsys);
fprintf('     compiler - %s\n', fcomp);
fprintf(' and compatible systems.\n\n');
fprintf(' *** End of NAG Toolbox for MATLAB implementation details ***\n\n');
if (licval)
  fprintf(' A valid licence was found for %s\n\n', pcode);
else
  fprintf(' A valid licence was not found for %s\n\n', pcode);
end

% diary off
