function nag_interp_3d_scat_shep_eval_example

% diary nag_interp_3d_scat_shep_eval_example.r
fprintf('nag_interp_3d_scat_shep_eval example results\n\n');

data = [ 0.80  0.23  0.37  0.51;
         0.23  0.88  0.05  1.80;
         0.18  0.43  0.04  0.11;
         0.58  0.95  0.62  2.65;
         0.64  0.69  0.20  0.93;
         0.88  0.35  0.49  0.72;
         0.30  0.10  0.78 -0.11;
         0.87  0.09  0.05  0.67;
         0.04  0.02  0.40  0.00;
         0.62  0.90  0.43  2.20;
         0.87  0.96  0.24  3.17;
         0.62  0.64  0.45  0.74;
         0.86  0.13  0.47  0.64;
         0.87  0.60  0.46  1.07;
         0.49  0.43  0.13  0.22;
         0.12  0.61  0.00  0.41;
         0.02  0.71  0.82  0.58;
         0.62  0.93  0.44  2.48;
         0.49  0.54  0.04  0.37;
         0.36  0.56  0.39  0.35;
         0.62  0.42  0.97 -0.20;
         0.01  0.72  0.45  0.78;
         0.41  0.36  0.52  0.11;
         0.17  0.99  0.65  2.82;
         0.51  0.29  0.59  0.14;
         0.85  0.05  0.04  0.61;
         0.20  0.20  0.87 -0.25;
         0.04  0.67  0.04  0.59;
         0.31  0.63  0.18  0.50;
         0.88  0.27  0.07  0.71];

x = data(:,1); y = data(:,2); z = data(:,3); f = data(:,4);
nw = nag_int(0);
nq = nw;
[iq, rq, ifail] = nag_interp_3d_scat_shep( ...
                         x, y, z, f, nw, nq);

% Evaluate at equispaced points on diagonal line
px = [0.1:0.1:0.6]'; py = px; pz = px;

[q, qx, qy, qz, ifail] = nag_interp_3d_scat_shep_eval( ...
                                x, y, z, f, iq, rq, px, py, pz);

fprintf('  Evaluation point       Q(x,y,z)\n');
fprintf(' (%4.1f, %4.1f, %4.1f)    %8.4f\n',[px py pz q]');

% diary off
