function nag_lapack_dgecon_example

% diary nag_lapack_dgecon_example.r
fprintf('nag_lapack_dgecon example results\n\n');

a = [ 1.80,  2.88,  2.05, -0.89;
      5.25, -2.95, -0.95, -3.80;
      1.58, -2.69, -2.90, -1.04;
     -1.11, -0.66, -0.59,  0.80];

anorm = norm(a, 1);

% Factorize A
[a, ipiv, info] = nag_lapack_dgetrf(a);

% Estimate condition number
norm_p = '1';
[rcond, info] = nag_lapack_dgecon(norm_p, a, anorm);

if rcond > nag_machine_precision
  fprintf('Estimate of condition number = %10.2e\n', 1/rcond);
else
  fprintf('A is singular to working precision\n');
end

% diary off
