function nag_lapack_dgglse_example

% diary nag_lapack_dgglse_example.r
fprintf('nag_lapack_dgglse example results\n\n');

% Minimize ||c - Ax|| given Bx=d
a = [-0.57, -1.28, -0.39,  0.25;
     -1.93,  1.08, -0.31, -2.14;
      2.30,  0.24,  0.40, -0.35;
     -1.93,  0.64, -0.66,  0.08;
      0.15,  0.30,  0.15, -2.13;
     -0.02,  1.03, -1.43,  0.50];
c = [-1.50; -2.14;  1.23; -0.54;  -1.68;  0.82];
b = [ 1,     0,    -1,     0;
      0,     1,     0,    -1];
d = [ 0;
      0];

%
[~, ~, resid, ~, x, info] = nag_lapack_dgglse( ...
                                   a, b, c, d);

sqres = norm(resid(3:6),2);
disp('Constrained least-squares solution');
disp(x);
disp('Square root of the residual sum of squares');
disp(sqres);

% diary off
