function nag_lapack_dorgqr_example

% diary nag_lapack_dorgqr_example.r
fprintf('nag_lapack_dorgqr example results\n\n');

a = [-0.57, -1.28, -0.39,  0.25;
     -1.93,  1.08, -0.31, -2.14;
      2.30,  0.24,  0.40, -0.35;
     -1.93,  0.64, -0.66,  0.08;
      0.15,  0.30,  0.15, -2.13;
     -0.02,  1.03, -1.43,  0.50];

% Compute the QR Factorisation of A
[a, tau, info] = nag_lapack_dgeqrf(a);

% Generate q
[q, info] = nag_lapack_dorgqr(a, tau);

disp('Orthogonal factor Q');
disp(q);

% diary off
