function nag_lapack_dpbtrf_example

% diary nag_lapack_dpbtrf_example.r
fprintf('nag_lapack_dpbtrf example results\n\n');

% Symmetric A (one lower/upper off-diagonal) in banded form 
uplo = 'Lower';
kd = nag_int(1);
n  = nag_int(4);
ab = [5.49,  5.63,  2.60, 5.17;
      2.68, -2.39, -2.22, 0.00];

% Factorize
[abf, info] = nag_lapack_dpbtrf( ...
                     uplo, kd, ab);

ku = nag_int(0);
[ifail] = nag_file_print_matrix_real_band( ...
                 n, n, kd, ku, abf, 'Cholesky factor');

% diary off
