function nag_lapack_dpoequ_example

% diary nag_lapack_dpoequ_example.r
fprintf('nag_lapack_dpoequ example results\n\n');

% Upper triangular part of symmetric matrix A
a = [ 4.16      -3.12e+05   0.56      -0.10    ;
      0          5.03e+10  -8.30e+04   1.18e+05;
      0          0          0.76       0.34    ;
      0          0          0          1.18    ];

% Scale A
[s, scond, amax, info] = nag_lapack_dpoequ(a);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Scaled matrix
as = diag(s)*a*diag(s);

[ifail] = nag_file_print_matrix_real_gen( ...
                 'Upper', 'Non-unit', as, 'Scaled matrix');

% diary off
