function nag_lapack_dpotrf_example

% diary nag_lapack_dpotrf_example.r
fprintf('nag_lapack_dpotrf example results\n\n');

% Lower triangular part of symmetric matrix A
uplo = 'Lower';
a = [ 4.16,  0,    0,    0;
     -3.12,  5.03, 0,    0;
      0.56, -0.83, 0.76, 0;
     -0.10,  1.18, 0.34, 1.18];

[L, info] = nag_lapack_dpotrf( ...
                   uplo, a);

[ifail] = nag_file_print_matrix_real_gen( ...
                 uplo, 'Non-unit', L, 'Cholesky factor');

% diary off
