function nag_lapack_dptcon_example

% diary nag_lapack_dptcon_example.r
fprintf('nag_lapack_dptcon example results\n\n');

% Symmetric tridiagonal A stored as two diagonals
d = [ 4     10     29     25     5];
e = [-2     -6     15     8       ];

[df, ef, info] = nag_lapack_dpttrf( ...
                        d, e);

% Construct matrix an with same 1-norm
an = [0 e; d; e 0];
anorm = norm(an,1);

% Get reciprocal condition number
[rcond, info] = nag_lapack_dptcon( ...
                       df, ef, anorm);

fprintf('Condition number of A = %7.2e\n',1/rcond);

% diary off
