function nag_lapack_dsposv_example

% diary nag_lapack_dsposv_example.r
fprintf('nag_lapack_dsposv example results\n\n');

a = [ 4.16, -3.12,  0.56, -0.10;
     -3.12,  5.03, -0.83,  1.18;
      0.56, -0.83,  0.76,  0.34;
     -0.10,  1.19,  0.34,  1.18];

b = [ 8.70; -13.35; 1.89; -4.14];

% Solve the equations Ax = b for x
[a, x, iter, info] = nag_lapack_dsposv( ...
                            'upper', a, b);

% Print Solution
fprintf('Solution:\n');
disp(x');

% diary off
