function nag_lapack_dsysv_example

% diary nag_lapack_dsysv_example.r
fprintf('nag_lapack_dsysv example results\n\n');

% Indefinite matrix A
uplo = 'Upper';
a = [-1.81, 2.06,  0.63, -1.15;
      0,    1.15,  1.87,  4.20;
      0,    0,    -0.21,  3.87;
      0,    0,     0,     2.07];

% RHS
b = [0.96;
     6.07;
     8.38;
     9.50];

% Solve
[af, ipiv, x, info] = nag_lapack_dsysv( ...
                             uplo, a, b);

disp('Solution');
disp(x');

[ifail] = nag_file_print_matrix_real_gen( ...
                 uplo, 'Non-unit', af, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
