function nag_lapack_dsytrd_example

% diary nag_lapack_dsytrd_example.r
fprintf('nag_lapack_dsytrd example results\n\n');

uplo = 'L';
a = [ 2.07,  0,    0,     0;
      3.87, -0.21, 0,     0;
      4.2,   1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];
n = size(a,1);

[~, d, e, tau, info] = nag_lapack_dsytrd( ...
				 uplo, a);

fprintf('Diagonal and off-diagonal elements of tridiagonal form\n\n');
fprintf('    i         D           E\n');

for j = 1:n-1
  fprintf('%5d%12.5f%12.5f\n', j, d(j), e(j));
end
fprintf('%5d%12.5f\n', n, d(n));

% diary off
