function nag_lapack_dsytrf_example

% diary nag_lapack_dsytrf_example.r
fprintf('nag_lapack_dsytrf example results\n\n');

% Indefinite matrix A (lower triangular part stored)
uplo = 'L';
a = [ 2.07,  0,    0,     0; 
      3.87, -0.21, 0,     0;
      4.20,  1.87, 1.15,  0;
     -1.15,  0.63, 2.06, -1.81];

% Factorize
[af, ipiv, info] = nag_lapack_dsytrf( ...
                          uplo, a);

[ifail] = nag_file_print_matrix_real_gen( ...
                 uplo, 'Non-unit', af, 'Details of factorization');

fprintf('\nPivot indices\n   ');
fprintf('%11d', ipiv);
fprintf('\n');

% diary off
