function nag_lapack_zcposv_example

% diary nag_lapack_zcposv_example.r
fprintf('nag_lapack_zcposv example results\n\n');

% Hermitian matrix A
a = [3.23 + 0i,     1.51 - 1.92i,  1.90 + 0.84i,  0.42 + 2.50i;
     1.51 + 1.92i,  3.58 + 0i,    -0.23 + 1.11i, -1.18 + 1.37i;
     1.90 - 0.84i, -0.23 - 1.11i,  4.09 + 0i,     2.33 - 0.14i;
     0.42 - 2.50i, -1.18 - 1.37i,  2.33 + 0.14i,  4.29 + 0i];

% Rhs
b = [3.93 -  6.14i;
     6.17 +  9.42i;
    -7.17 - 21.83i;
     1.99 - 14.38i];

% Solve Ax = b for x
[af, x, iter, info] = nag_lapack_zcposv( ...
                             'Upper', a, b);

fprintf('Solution:\n');
disp(x);

% diary off
