function nag_lapack_zhpgvd_example

% diary nag_lapack_zhpgvd_example.r
fprintf('nag_lapack_zhpgvd example results\n\n');

% Hermitian matrices A and B stored in packed (Upper) format
n = nag_int(4);
uplo = 'U';
ap = [-7.36;
       0.77 - 0.43i;  3.49 + 0i;
      -0.64 - 0.92i;  2.19 + 4.45i;  0.12 + 0i;
       3.01 - 6.97i;  1.90 + 3.73i;  2.88 - 3.17i; -2.54 + 0i];
bp = [ 3.23;
       1.51 - 1.92i;  3.58 + 0i;
       1.90 + 0.84i; -0.23 + 1.11i;  4.09 + 0i;
       0.42 + 2.50i; -1.18 + 1.37i;  2.33 - 0.14i;  4.29 + 0i];

% Eigenvalues only for AB z = lmbda z
itype = nag_int(2);
jobz = 'No vectors';
[~, ~, w, ~, info] = nag_lapack_zhpgvd( ...
                            itype, jobz, uplo, n, ap, bp);

disp('Eigenvalues');
disp(w');

% diary off
