function nag_lapack_zpoequ_example

% diary nag_lapack_zpoequ_example.r
fprintf('nag_lapack_zpoequ example results\n\n');

a = [3.23 + 0i    1.51 - 1.92i  1.90e+05 + 8.40e+04i   0.42     + 2.50i;
     0    + 0i    3.58 + 0i    -2.30e+04 + 1.11e+05i  -1.18     + 1.37i;
     0    + 0i    0    + 0i     4.09e+10 + 0i          2.33e+05 - 1.40e+04i;
     0    + 0i    0    + 0i     0        + 0i          4.29     + 0i];

% Scale A
[s, scond, amax, info] = nag_lapack_zpoequ(a);

fprintf('scond = %8.1e, amax = %8.1e\n\n', scond, amax);
disp('Diagonal scaling factors');
fprintf('%10.1e',s);
fprintf('\n\n');

% Scaled matrix
as = diag(s)*a*diag(s);

[ifail] = nag_file_print_matrix_complex_gen( ...
                 'Upper', 'Non-unit', as, 'Scaled matrix');

% diary off
