function nag_lapack_zpptri_example

% diary nag_lapack_zpptri_example.r
fprintf('nag_lapack_zpptri example results\n\n');

% Symmetric A in lower packed form
uplo = 'L';
n = nag_int(4);
ap = [3.23 + 0i    1.51 + 1.92i    1.90 - 0.84i    0.42 - 2.50i ...
                   3.58 + 0i      -0.23 - 1.11i   -1.18 - 1.37i ...
                                   4.09 + 0.00i    2.33 + 0.14i ...
                                                   4.29 + 0.00i];

[L, info] = nag_lapack_zpptrf( ...
                     uplo, n, ap);

% Invert
[ainv, info] = nag_lapack_zpptri( ...
                      uplo, n, L);

[ifail] = nag_file_print_matrix_complex_packed( ...
                 uplo, 'Non-unit', n, ainv, 'Inverse');

% diary off
