function nag_linsys_real_square_solve_example

% diary nag_linsys_real_square_solve_example.r
fprintf('nag_linsys_real_square_solve example results\n\n');

% Solve Ax = b with error bound and condition number
a = [ 1.80,  2.88,  2.05, -0.89;
      5.25, -2.95, -0.95, -3.80;
      1.58, -2.69, -2.90, -1.04;
     -1.11, -0.66, -0.59,  0.80];
b = [ 9.52, 18.47;
     24.35,  2.25;
      0.77,-13.28;
     -6.22, -6.21];

[a, ipiv, x, rcond, errbnd, ifail] = nag_linsys_real_square_solve(a, b);

disp('Solution');
disp(x);
disp('Estimate of condition number');
fprintf('%10.1f\n\n',1/rcond);
disp('Estimate of error bound for computed solutions');
fprintf('%10.1e\n\n',errbnd);

% diary off
