function nag_matop_complex_gen_matrix_cond_pow_example

% diary nag_matop_complex_gen_matrix_cond_pow_example.r
fprintf('nag_matop_complex_gen_matrix_cond_pow example results\n\n');

% Principal power p of matrix A

a = [ 1+2i  3      2     1+3i;
      1+ i  1      1     2+ i;
      1     2      1       2i;
      3        i   2+i   1];

p = 0.4;

[pa, condpa, ifail] = nag_matop_complex_gen_matrix_cond_pow(a,p);

disp('A^p:');
disp(pa);

fprintf('Estimated condition number is: %6.2f\n', condpa)

% diary off
