function nag_matop_complex_herm_matrix_fun_example

% diary nag_matop_complex_herm_matrix_fun_example.r
fprintf('nag_matop_complex_herm_matrix_fun example results\n\n');

uplo = 'u';
a = [ 1,  2 + 1i,  3 + 2i,  4 + 3i;
      0,  1 + 0i,  2 + 1i,  3 + 2i;
      0,       0,  1 + 0i,  2 + 1i;
      0,       0,       0,  1 + 0i];

% Compute f(a)
[cosa, user, iflag, ifail] = ...
nag_matop_complex_herm_matrix_fun(uplo, a, @f);

% Display results
[ifail] = nag_file_print_matrix_complex_gen( ...
                 uplo, 'n', cosa, 'Hermitian f(A) = cos(A)');

% diary off

function [iflag, fx, user] = f(iflag, n, x, user)
  fx = cos(x);
