function nag_matop_real_addsub_example

% diary nag_matop_real_addsub_example.r
fprintf('nag_matop_real_addsub example results\n\n');

% Example 1: C = A + B
a = [ 1.0   2.5   3.0;
     -2.0   2.0  -1.5;
      3.5   2.0  -2.5;
      1.5  -2.0   1.0];
b = [ 2.0  -2.5  -2.0;
      1.0   1.0   1.0;
     -1.5   2.5  -2.5;
      2.0  -2.0   1.0];
[m,n] = size(a);
m = nag_int(m);
n = nag_int(n);

transa = 'N';
transb = 'N';
alpha  =  1;
beta   =  1;
[c1, ifail] = nag_matop_real_addsub( ...
                    transa, transb, m, n, alpha, a, beta, b);

disp('Example 1: C = A + B');
disp(c1);

% Example 2: C = A - B^T
a = [ 1.0   2.5   3.0   1.5   2.5;
     -2.0   2.0  -1.5  -2.0  -1.0;
      3.5   2.0  -2.5  -1.5   2.5];
b = [ 2.0  -2.5  -2.0;
      1.0   1.0   1.0;
     -1.5   2.5  -2.5;
      2.0  -2.0   1.0;
      1.0   1.0   2.5];
[m,n] = size(a);
m = nag_int(m);
n = nag_int(n);

transa = 'N';
transb = 'T';
alpha  =  1;
beta   = -1;
[c2, ifail] = nag_matop_real_addsub( ...
                    transa, transb, m, n, alpha, a, beta, b);

disp('Example 2: C = A - B''');
disp(c2);

% diary off
