function nag_matop_real_gen_matrix_cond_pow_example

% diary nag_matop_real_gen_matrix_cond_pow_example.r
fprintf('nag_matop_real_gen_matrix_cond_pow example results\n\n');

% Principal power p of matrix A and relative condition number.

a = [ 3 3 2 1;
      1 1 0 2;
      1 4 4 2;
      3 1 3 1];

p = 0.2;

[pa, condpa, ifail] = nag_matop_real_gen_matrix_cond_pow(a,p);

disp('A^p:');
disp(pa);

fprintf('\nEstimated relative condition number is : %6.2f\n', condpa);

% diary off
