function nag_matop_real_gen_matrix_frcht_exp_example

% diary nag_matop_real_gen_matrix_frcht_exp_example.r
fprintf('nag_matop_real_gen_matrix_frcht_exp example results\n\n');

% Exponential of matrix A and Frechet derivative of exp(A)E.

a = [ 1 2 2 2;
      3 1 1 2;
      3 2 1 2;
      3 3 3 1];

e = [ 1 0 1 2;
      0 0 0 1;
      4 2 1 2;
      0 3 2 1];

[expa, lae, ifail] = nag_matop_real_gen_matrix_frcht_exp(a,e);

[ifail] = nag_file_print_matrix_real_gen('General', ' ', expa, 'exp(A):');
disp(' ');
[ifail] = nag_file_print_matrix_real_gen('General', ' ', lae, 'L_exp(A,E):');

% diary off
