function nag_matop_real_gen_pseudinv_example

% diary nag_matop_real_gen_pseudinv_example.r
fprintf('nag_matop_real_gen_pseudinv example results\n\n');

t = 2.99772935794301e-15;
a = [ 7, -2,  4,  9, 1.8;
      3,  8, -4,  6, 1.3;
      9,  6,  1,  5, 2.1;
     -8,  7,  5,  2, 0.6;
      4, -1,  2,  8, 1.3;
      1,  6,  3, -5, 0.5];

anorm = norm(a);
t = anorm*eps('double');

[ainv, aijmax, irank, inc, ifail] = nag_matop_real_gen_pseudinv(t, a);

fprintf('Maximum element in reduced matrix at Kth stages\n');
fprintf('   K      Modulus\n');
ind = [1:double(irank)+1];
fprintf('%4d   %12.4e\n',[ind ; aijmax']);
fprintf('\nRank = %5d\n\n', irank);
fprintf('Pseudo-inverse\n');
disp(ainv');


% diary off
