function nag_matop_ztpttf_example

% diary nag_matop_ztpttf_example.r
fprintf('nag_matop_ztpttf example results\n\n');

uplo   = 'u';
transr = 'n';
n      = nag_int(4);
ap     = [1.1 + 1.1i;
          1.2 + 1.2i;
          2.2 + 2.2i;
          1.3 + 1.3i;
          2.3 + 2.3i;
          3.3 + 3.3i;
          1.4 + 1.4i;
          2.4 + 2.4i;
          3.4 + 3.4i;
          4.4 + 4.4i];
% Print the packed vector
fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp('g', 'x', ap, 'b', 'f5.2', 'Packed array ap:', 'i', ...
                'n', nag_int(80), nag_int(0));
% Convert to Rectangular Full Packed form
[ar, info] = nag_matop_ztpttf(transr, uplo, n, ap);
% Print the Rectangular Full Packed array
fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp('g', 'x', ar, 'b', 'f5.2', 'RFP packed array ar:', 'i', ...
                'n', nag_int(80), nag_int(0));

k = nag_int(n/2);
q = n - k;
if transr=='N' || transr=='n'
  lar1 = 2*k + 1;
  lar2 = q;
else
  lar1 = q;
  lar2 = 2*k + 1;
end

ar = reshape(ar,lar1,lar2);

fprintf('\n');
[ifail] = nag_file_print_matrix_complex_gen_comp('g', 'x', ar, 'b', 'f5.2', ... 
                'RFP Packed Array ar (graphical representation):', 'i', ...
                'i', nag_int(80), nag_int(0), 'm', lar1, 'n', lar2);

% diary off
