function nag_nonpar_test_sign_example

% diary nag_nonpar_test_sign_example.r
fprintf('nag_nonpar_test_sign example results\n\n');

x = [4; 4; 5; 5; 3; 2; 5; 3; 1; 5; 5; 5; 4; 5; 5; 5; 5];
y = [2; 3; 3; 3; 3; 3; 3; 3; 2; 3; 2; 2; 5; 2; 5; 3; 1];

fprintf('Sign test\n\n')
fprintf('Data values\n\n');
fprintf('%3.0f',x);
fprintf('\n')
fprintf('%3.0f',y);
fprintf('\n\n')

[isgn, n1, p, ifail] = nag_nonpar_test_sign( ...
                              x, y);

fprintf('Test statistic   %5d\n', isgn);
fprintf('Observations     %5d\n', n1);
fprintf('Lower tail prob. %5.3f\n', p);

% diary off
