function nag_ode_bvp_ps_lin_grid_vals_example

% diary nag_ode_bvp_ps_lin_grid_vals_example.r
fprintf('nag_ode_bvp_ps_lin_grid_vals example results\n\n');

n   = nag_int(64);
a = -1;
b =  1;

% Set up Chebyshev grid
[x, ifail] = nag_ode_bvp_ps_lin_cgl_grid(n, a, b);

% Set up function on grid
f = x + cos(5*x);

% Interpolate onto smaller equally spaced grid
nip = nag_int(17);
[xip, fip, ifail] = nag_ode_bvp_ps_lin_grid_vals(n, nip, x, f);

% Display interpolated values
fprintf('\nInterpolated function values\n');
fprintf('      x          F\n');
fprintf('%10.4f %10.4f \n', [xip fip]');

% diary off
