function nag_quad_1d_fin_osc_vec_example

% diary nag_quad_1d_fin_osc_vec_example.r
fprintf('nag_quad_1d_fin_osc_vec example results\n\n');

a = 0;
b = 2*pi;
epsabs = 0;
epsrel = 0.001;
[result, abserr, w, iw, ifail] = ...
  nag_quad_1d_fin_osc_vec( ...
	 @f, a, b, epsabs, epsrel);

fprintf('Result = %13.5f,  Standard error = %10.2e\n', result, abserr);

% diary off

function [fv] = f(x,n)
  fv=zeros(n,1);
  for i=1:n
    fv(i) = x(i)*sin(30*x(i))*cos(x(i));
  end
