function nag_quad_1d_inf_example

% diary nag_quad_1d_inf_example.r
fprintf('nag_quad_1d_inf example results\n\n');

bound = 0;
inf = nag_int(1);
epsabs = 0;
epsrel = 1.0e-4;
f = @(x) 1/(x+1)/sqrt(x);

[result, abserr, w, iw, ifail] = ...
  nag_quad_1d_inf( ...
	 f, bound, inf, epsabs, epsrel);

fprintf('Result = %13.4f,  Standard error = %10.2e\n', result, abserr);

% diary off
