function nag_rand_dist_f_example

% diary nag_rand_dist_f_example.r
fprintf('nag_rand_dist_f example results\n\n');

% Initialize the base generator to a repeatable sequence
seed  = [nag_int(1762543)];
genid = nag_int(1);
subid = nag_int(1);
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% Number of variates
n = nag_int(5);

% Parameters
df1 = nag_int(2);
df2 = nag_int(3);

% Generate variates from an F-distribution
[state, x, ifail] = nag_rand_dist_f( ...
                           n, df1, df2, state);

disp('Variates');
disp(x);

% diary off
