function nag_rand_init_repeat_example

% diary nag_rand_init_repeat_example.r
fprintf('nag_rand_init_repeat example results\n\n');

% Initialize the seed
seed = [nag_int(1762543)];

% genid and subid identify the base generator
genid = nag_int(1);
subid = nag_int(1);

% Initialize the generator to a repeatable sequence
[state, ifail] = nag_rand_init_repeat( ...
                        genid, subid, seed);

% The number of pseudorandom numbers to be generated
n = nag_int(5);

% Generate the variates
[state, x, ifail] = nag_rand_dist_uniform01( ...
                           n, state);

% Display variates
disp(x);

% diary off
