function nag_sort_realvec_search_example

% diary nag_sort_realvec_search_example.r
fprintf('nag_sort_realvec_search example results\n\n');

rv = [0.5  0.6  1.1  1.2  1.3  1.3  2.1  2.3 ...
      2.3  4.1  5.8  5.9  6.5  6.5  8.6  9.9];
item  = [     2.1  0.4  7.1 10];

m1 = nag_int([ 1    1    1    5]);
m2 = nag_int([10   16   16   16]);

validate = true;
for j = 1:4
  [result, ifail] = nag_sort_realvec_search( ...
                           validate, rv, item(j), 'm1', m1(j), 'm2', m2(j));
  validate = false;

  fprintf('Search for %7.1f in index range [%2d:%2d]: index = %2d\n', ...
          item(j), m1(j), m2(j), result);
end

% diary off
