function nag_sparse_direct_real_gen_norm_example

% diary nag_sparse_direct_real_gen_norm_example.r
fprintf('nag_sparse_direct_real_gen_norm example results\n\n');

% Norms of sparse A
n      = nag_int(5);
icolzp = [nag_int(1); 3; 5;  7; 9; 12];
irowix = [nag_int(1); 3; 1;  5; 2;  3;  2; 4; 3; 4; 5];
a      = [        2;  4; 1; -2; 1;  1; -1; 1; 1; 2; 3];

% Calculate 1-norm
norm_p = '1';
[anorm, ifail] = nag_sparse_direct_real_gen_norm( ...
                        norm_p, n, icolzp, irowix, a);
fprintf('One-norm      = %7.3f\n', anorm);

% Calculate Maximum
norm_p = 'M';
[anorm, ifail] = nag_sparse_direct_real_gen_norm( ...
                        norm_p, n, icolzp, irowix, a);
fprintf('Max           = %7.3f\n', anorm);

% Calculate I-norm
norm_p = 'I';
[anorm, ifail] = nag_sparse_direct_real_gen_norm( ...
                        norm_p, n, icolzp, irowix, a);
fprintf('Infinity-norm = %7.3f\n', anorm);

% diary off
