function nag_specfun_ellipint_legendre_3_example

% diary nag_specfun_ellipint_legendre_3_example.r
fprintf('nag_specfun_ellipint_legendre_3 example results\n\n');

dn  = [0.1   -0.2   0.3];
phi = [pi/6  pi/3   pi/2];
dm  = [1/4   1/2    3/4];
result = phi;

for j = 1:numel(phi)
  [result(j), ifail] = nag_specfun_ellipint_legendre_3(dn(j), phi(j), dm(j));
end

fprintf('    n       phi      m       Pi(n;phi|m)\n');
fprintf(' %7.2f %7.2f %7.2f %12.4f\n', [dn; phi; dm; result]);

% diary off
