function nag_specfun_polygamma_deriv_example

% diary nag_specfun_polygamma_deriv_example.r
fprintf('nag_specfun_polygamma_deriv example results\n\n');

x = [0.1    0.5    3.6   8];
n = size(x,2);
k = nag_int(0);
m = nag_int(4);
result = zeros(m,n);

for j=1:n
  [result(:,j), ifail] = nag_specfun_polygamma_deriv(x(j),k,m);
end

disp('  x        psi       -psi''      psi''''/2!   -psi''''''/3!');
for j=1:n
  fprintf('%5.1f',x(j));
  fprintf('%12.4e',result(:,j));
  fprintf('\n');
end

% diary off
