function nag_stat_prob_binomial_vector_example

% diary nag_stat_prob_binomial_vector_example.r
fprintf('nag_stat_prob_binomial_vector example results\n\n');

n = [nag_int(4); 19;     100;     2000];
p = [     0.500;  0.440;   0.750;    0.330];
k = [nag_int(2); 13;      67;      700];

[plek, pgtk, peqk, ivalid, ifail] = ...
  nag_stat_prob_binomial_vector(n, p, k);

fprintf('    n     p      k     plek      pgtk      peqk\n');
ln  = numel(n);
lp  = numel(p);
lk  = numel(k);
len = max ([ln, lp, lk]);
for i=0:len-1
  fprintf('%5d%8.3f%5d%10.5f%10.5f%10.5f\n', n(mod(i,ln)+1), ...
          p(mod(i,lp)+1), k(mod(i,lk)+1), plek(i+1), pgtk(i+1), peqk(i+1));
end

% diary off
