function nag_stat_prob_hypergeom_example

% diary nag_stat_prob_hypergeom_example.r
fprintf('nag_stat_prob_hypergeom example results\n\n');

n = nag_int([10 40 155 1000]);
l = nag_int([ 2 10  35  444]);
m = nag_int([ 5  3 122  500]);
k = nag_int([ 1  2  22  220]);

fprintf('    n   l   m   k     plek      pgtk      peqk\n');
for i = 1:4
  [plek, pgtk, peqk, ifail] = ...
  nag_stat_prob_hypergeom(n(i), l(i), m(i), k(i));

  fprintf('%5d%4d%4d%4d%10.5f%10.5f%10.5f\n', n(i), l(i), m(i), k(i), ...
	  plek, pgtk, peqk);
end

% diary off
