function nag_stat_prob_hypergeom_vector_example

% diary nag_stat_prob_hypergeom_vector_example.r
fprintf('nag_stat_prob_hypergeom_vector example results\n\n');

n = [nag_int(10); 40; 155; 1000];
l = [nag_int( 2); 10;  35;  444];
m = [nag_int( 5);  3; 122;  500];
k = [nag_int( 1);  2;  22;  220];

[plek, pgtk, peqk, ivalid, ifail] = ...
  nag_stat_prob_hypergeom_vector(n, l, m, k);

fprintf('   n   l   m   k     plek      pgtk      peqk\n');
ln  = numel(n);
ll  = numel(l);
lm  = numel(m);
lk  = numel(k);
len = max ([ln, ll, lm, lk]);
for i=0:len-1
  fprintf('%4d%4d%4d%4d%10.5f%10.5f%10.5f\n', n(mod(i,ln)+1), ...
          l(mod(i,ll)+1), m(mod(i,lm)+1), k(mod(i,lk)+1), plek(i+1), ...
          pgtk(i+1), peqk(i+1));
end

% diary off
