function nag_stat_prob_poisson_example

% diary nag_stat_prob_poisson_example.r
fprintf('nag_stat_prob_poisson example results\n\n');

rlamda =    [0.75  9.2  34  175];
k = nag_int([3     12   25  175]);

fprintf('  rlamda     k     plek      pgtk      peqk\n');
for i=1:4
  [plek, pgtk, peqk, ifail] = ...
  nag_stat_prob_poisson(rlamda(i), k(i));

  fprintf('%8.3f%6d%10.5f%10.5f%10.5f\n', rlamda(i), k(i), plek, pgtk, peqk);
end

% diary off
