function nag_stat_prob_vavilov_example

% diary nag_stat_prob_vavilov_example.r
fprintf('nag_stat_prob_vavilov example results\n\n');

% Vavilov distribution function
rkappa = 2.5;
beta2 = 0.7;
mode = nag_int(1);
x = 0.1;

[xl, xu, work, ifail] = nag_stat_init_vavilov( ...
			       rkappa, beta2, mode);

[p, ifail] = nag_stat_prob_vavilov(x, work);

fprintf('Phi_v(%5.1f;%5.1f,%6.2f) = %7.4f\n',x,rkappa,beta2,p);

% diary off
