function nag_stat_summary_1var_example

% diary nag_stat_summary_1var_example.r
fprintf('nag_stat_summary_1var example results\n\n');

% Data
x = [193     216     112     161      92     140     38      33 ...
     279     249     473     339      60     130     20      50 ...
     257     284     447      52      67      61    150    2200];
n = size(x,2);

% Get simple statistics of data
[xmean, s2, s3, s4, xmin, xmax, iwt, wtsum, ifail] = ...
nag_stat_summary_1var(x);

fprintf('Number of cases    %7d\n',n);
fprintf('Data as input -\n');
fprintf('%12.1f%12.1f%12.1f%12.1f%12.1f\n',x)
fprintf('\n\n');
fprintf('No. of valid cases %7d\n',iwt);
fprintf('Mean               %7.1f\n',xmean);
fprintf('Minimum            %7.1f\n',xmin);
fprintf('Maximum            %7.1f\n',xmax);
fprintf('Sum of weights     %7.1f\n',wtsum);
fprintf('Std devn           %7.1f\n',s2);
fprintf('Skewness           %7.1f\n',s3);
fprintf('Kurtosis           %7.1f\n',s4);

% diary off
