function nag_sum_fft_sine_example

% diary nag_sum_fft_sine_example.r
fprintf('nag_sum_fft_sine example results\n\n');

% Discrete sine transform of 3 sequences of length 5
m = nag_int(3);
n = nag_int(6);
x = [0.6772  0.6037 0.8638;
     0.2983  0.6751 0.0428;
     0.0644  0.7255 0.1424;
     0.1138  0.6430 0.8723;
     0.1181  0.6362 0.4815];

[x, ifail] = nag_sum_fft_sine(n,x);
disp('X under discrete sine transform:');
disp(x);

% Reconstruct using same transform
[x, ifail] = nag_sum_fft_sine(n,x);
disp('X reconstructed under second sine transform:');
disp(x);

% diary off
