function nag_tsa_multi_transf_prelim_example

% diary nag_tsa_multi_transf_prelim_example.r
fprintf('nag_tsa_multi_transf_prelim example results\n\n');

% Cross-correlation at lag 0
r0  = -0.0155;
% Other cross-correlations
r   = [0.0339; -0.0374; -0.2895; -0.3430; -0.4518; -0.2787];

% transfer function model orders
nna = [nag_int(3);2;1];

%Standard deviation ratio
s   = 1.9256;

% Calculate parameter estimates
[wds, isf, ifail] = nag_tsa_multi_transf_prelim( ...
                           r0, r, nna, s);

% Display results
fprintf('Success/failure indicator       = %4d%4d\n\n', isf(1:2));
fprintf('Transfer function model B, Q, P = %4d%4d%4d\n\n', nna(1:3));
disp('Parameter initial estimates');
disp(wds');

% diary off
