function nag_tsa_uni_arima_resid_example

% diary nag_tsa_uni_arima_resid_example.r
fprintf('nag_tsa_uni_arima_resid example results\n\n');

% data
x = [-217 -177 -166 -136 -110  -95  -64  -37  -14  -25 ...
      -51  -62  -73  -88 -113 -120  -83  -33  -19   21 ...
       17   44   44   78   88  122  126  114   85   64];
n = nag_int(numel(x));

% orders
mr = [nag_int(1);1;2;0;0;0;0];

% sizes
c   = 0;

% Initial estimates
par = [0; 0; 0];

% Fit ARIMA model
[par, c, s, ndf, sd, cm, st, nst, itc, isf, res, nres, ifail] = ...
  nag_tsa_uni_arima_estim_easy( ...
         mr, par, c, x);

% Perform diagnostic checks
m     = nag_int(10);
ishow = nag_int(1);

[r, rcm, chi, idf, siglev, ifail] = ...
  nag_tsa_uni_arima_resid( ...
         res, mr, m, par, ishow, 'n', nres);

% diary off
