function nag_wav_1d_cont_example

% diary nag_wav_1d_cont_example.r
fprintf('nag_wav_1d_cont example results\n\n');

wavnam = 'Morlet';
wparam = nag_int(5);
scales = [nag_int(1), 2, 3, 4];
x = zeros(10,1);
x(5) = 1;


[c, ifail] = nag_wav_1d_cont(wavnam, wparam, x, scales);
fprintf('\nNumber of Scales : 4\n');
fprintf('Wavelet coefficients c :\n');
fprintf('Scale:    %d           %d            %d            %d\n', scales);
for j = 1:10
  fprintf('    %11.4e  %11.4e  %11.4e  %11.4e\n', c(:,j));
end

% diary off
