function nag_zeros_quartic_complex_example

% diary nag_zeros_quartic_complex_example.r
fprintf('nag_zeros_quartic_complex example results\n\n');

e =  complex(1);
a =   -10 + 2i;
b =    48 - 10i;
c =  -100 + 28i;
d =  complex(96);
[zr, zi, errest, ifail] = nag_zeros_quartic_complex(e, a, b, c, d);

fprintf('  Roots of quartic    error estimates\n');
for j = 1:4
   if (zi(j)<0)
     fprintf('%8.4f - %7.4fi     %8.2e\n',zr(j),abs(zi(j)),errest(j));
   else
     fprintf('%8.4f - %7.4fi     %8.2e\n',zr(j),abs(zi(j)),errest(j));
   end
end

% diary off
