function s21bg_example

% diary s21bg_example.r
fprintf('s21bg example results\n\n');

dn  = [0.1   -0.2   0.3];
phi = [pi/6  pi/3   pi/2];
dm  = [1/4   1/2    3/4];
result = phi;

for j = 1:numel(phi)
  [result(j), ifail] = s21bg(dn(j), phi(j), dm(j));
end

fprintf('    n       phi      m       Pi(n;phi|m)\n');
fprintf(' %7.2f %7.2f %7.2f %12.4f\n', [dn; phi; dm; result]);

% diary off
