function x03ab_example

% diary x03ab_example.r
fprintf('x03ab example results\n\n');

% Evaluate d = c + a(:,2).b, where
a = [-1 + 0i   0 - 1e20i   1 + 0i;
      2 + 3i   0 + 1e-19i  0 + 2i;
      0 + 0i  -1 - 1e20i   1 - 2i];
b = [ 0 + 1i;
      1 - 1i;
      0 - 1i];
n = nag_int(size(b,1));

% c is stored in basic precision only
cx =  1e-20 + 1i;

% elements are stored contiguously in a and b
istepa = nag_int(1);
istepb = istepa;

% Calculate dodt-product in extended precision
sw = true;

[dx, ifail] = x03ab( ...
                     a(:,2), b, n, istepa, istepb, cx, sw);

fprintf('Accumulated dot-product = %20.15e + %20.15ei\n', ...
        real(dx), imag(dx));

% diary off
