function x04cc_example

% diary x04cc_example.r
fprintf('x04cc example results\n\n');

nmax = 5;
la = (nmax*(nmax+1))/2;
a = [1:la];

% First matrix : 4x4 unit lower triangular 
mtitle = 'Example 1:';
n = nag_int(nmax-1);
uplo   = 'Lower';
diag   = 'Unit';
[ifail] = x04cc( ...
                 uplo, diag, n, a, mtitle);

fprintf('\n');
% Second matrix : 5x5 non-unit upper triangular 
mtitle = 'Example 2:';
n = nag_int(nmax);
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = x04cc( ...
                 uplo, diag, n, a, mtitle);

% diary off
