function x04dc_example

% diary x04dc_example.r
fprintf('x04dc example results\n\n');

nmax = 4;
la = (nmax*(nmax+1))/2;
a(1:la) = [1:la] - i*[1:la];

% First matrix : 3x3 unit lower triangular 
mtitle = 'Example 1:';
n = nag_int(nmax-1);
uplo   = 'Lower';
diag   = 'Unit';
[ifail] = x04dc( ...
                 uplo, diag, n, a, mtitle);

fprintf('\n');
% Second matrix : 4x4 non-unit upper triangular 
mtitle = 'Example 2:';
n = nag_int(nmax);
uplo   = 'Upper';
diag   = 'Non-unit';
[ifail] = x04dc( ...
                 uplo, diag, n, a, mtitle);

% diary off
