function x05ba_example

% diary x05ba_example.r
fprintf('x05ba example results\n\n');

[s1] = x05ba;

% compute appriximation to Euler's constant
nterms = 10^7;
h = 0;
for n = nterms:-1:1
  h = h + 1/n;
end
h = h-log(nterms+0.5);

[s2] = x05ba;

ctime = s2 - s1;

fprintf('It took %10.2e seconds\n', ctime);
fprintf(' to compute %8d terms of the harmonic series.\n', nterms);
fprintf('Approximation to Euler constant = %20.13f.\n', h);

% diary off
