
% f02wd: Returns the Householder factorization of a real rectangular m by n matrix. Part or all of the singular value decomposition may also be returned
% 
% Syntax: 
% 
%   [a, b, svd, irank, z, sv, r, pt, work, ifail] = f02wd(a, wantb, b, tol, svd, wantr, wantpt, lwork, 'm', m, 'n', n)
% 
% Further documentation is available in the <a href="matlab:nag_doc f02/f02wdf.html">NAG Toolbox help files</a>.
%
