
% nag_lapack_dposvx: Uses the Cholesky factorization to compute the solution, error-bound and condition estimate for a real symmetric positive definite system of linear equations
% 
% Syntax: 
% 
%   [a, af, equed, s, b, x, rcond, ferr, berr, info] = nag_lapack_dposvx(fact, uplo, a, af, equed, s, b, 'n', n, 'nrhs_p', nrhs_p)
% 
% Further documentation is available in the <a href="matlab:nag_doc f07/f07fbf.html">NAG Toolbox help files</a>.
%
