
% nag_lapack_zggesx: Computes, for a complex nonsymmetric matrix pair, the generalized eigenvalues, the generalized complex Schur form and, optionally, the left and/or right matrices of Schur vectors; also, optionally, computes reciprocal condition numbers for selected eigenvalues
% 
% Syntax: 
% 
%   [a, b, sdim, alpha, beta, vsl, vsr, rconde, rcondv, info] = nag_lapack_zggesx(jobvsl, jobvsr, sort, selctg, sense, a, b, 'n', n)
% 
% Further documentation is available in the <a href="matlab:nag_doc f08/f08xpf.html">NAG Toolbox help files</a>.
%
