
% nag_lapack_zggevx: Computes, for a complex nonsymmetric matrix pair, the generalized eigenvalues, and optionally, the left and/or right generalized eigenvectors; also, optionally, the balancing transformation, the reciprocal condition numbers for the eigenvalues and for the right eigenvectors
% 
% Syntax: 
% 
%   [a, b, alpha, beta, vl, vr, ilo, ihi, lscale, rscale, abnrm, bbnrm, rconde, rcondv, info] = nag_lapack_zggevx(balanc, jobvl, jobvr, sense, a, b, 'n', n)
% 
% Further documentation is available in the <a href="matlab:nag_doc f08/f08wpf.html">NAG Toolbox help files</a>.
%
