
% nag_lapack_zposvx: Uses the Cholesky factorization to compute the solution, error-bound and condition estimate for a complex Hermitian positive definite system of linear equations
% 
% Syntax: 
% 
%   [a, af, equed, s, b, x, rcond, ferr, berr, info] = nag_lapack_zposvx(fact, uplo, a, af, equed, s, b, 'n', n, 'nrhs_p', nrhs_p)
% 
% Further documentation is available in the <a href="matlab:nag_doc f07/f07fpf.html">NAG Toolbox help files</a>.
%
