function [n] = nag_int_name
% nag_int_name: return the name of the integer class compatible with
% the NAG Toolbox for MATLAB as a string.
%
% Syntax: n = nag_int_name
%
  if isempty(strfind(computer, '64'))
    n = 'int32';
  else
    n = 'int64';
  end
end
